PROGRAM_NAME = 'Dialer'

DEFINE_CONSTANT

  LVL_RX_VOLUME                         = 1
  LVL_TX_VOLUME                         = 5
  LVL_RING_VOLUME                       = 48
  LVL_DTMF_VOLUME                       = 49

  BTN_RX_VOLUME_CHANGED                 = 371
  BTN_TX_VOLUME_CHANGED                 = 372
  BTN_DTMF_VOLUME_CHANGED               = 373
  BTN_RING_VOLUME_CHANGED               = 374
  BTN_AUTOANSWER_IMMEDIATELY            = 380
  BTN_AUTOANSWER_1RING                  = 381
  BTN_AUTOANSWER_2RINGS                 = 382
  BTN_AUTOANSWER_3RINGS                 = 383
  ADDR_DIALER_STATUS                    = '385'
  ADDR_DIALER_CALLERID                  = '386'
  CHAN_VOIP_LINE_STATUS                 = 390
  BTN_TAB_VOIP_LINE1                    = 391
  BTN_TAB_VOIP_LINE2                    = 392
  BTN_TAB_VOIP_LINE3                    = 393
  BTN_TAB_VOIP_LINE4                    = 394
  BTN_DIALER_DND                        = 303
  BTN_DIALER_HOLD_RESUME                = 302
  CH_DIALER_DND                         = 303
  CH_DIALER_LINE_STATUS                 = 390

  RING_UP                               = 311
  RING_DN                               = 312
  DTMF_UP                               = 313
  DTMF_DN                               = 314

  TXT_NUMBER_TO_DIAL                    = '387'
  HIDE_SHOW_AUTOANSWER_ITEMS            = '380..383'


  ADDR_MENU_DIAL                        = '95'
  ADDR_MENU_ACCEPT                      = '60'
  ADDR_MENU_REJECT                      = '61'
  ADDR_BTN_DIALER_HOLD_RESUME           = '302'

  INTEGER BTN_DIALER_MOMENTARY_ACTION_LIST[]   =
  {
    VOL_UP,
    VOL_DN,
    GAIN_UP,
    GAIN_DN,
    DTMF_UP,
    DTMF_DN,
    RING_UP,
    RING_DN,
    MENU_DIAL,
    MENU_ACCEPT,
    MENU_REJECT,
    DIAL_REDIAL,
    MENU_BACK
  }

  INTEGER BTN_DIALER_CHANNEL_ACTION_LIST[]     =
  {
    CHAN_VOIP_LINE_STATUS,
    BTN_DIALER_DND,
    DIAL_OFF_HOOK_ON,
    ACONF_PRIVACY_ON,
    DIAL_AUTO_ANSWER_ON,
    DIAL_AUDIBLE_RING_ON
  }

  INTEGER BTN_TAB_VOIP_LINE_LIST[]      =
  {
    BTN_TAB_VOIP_LINE1,
    BTN_TAB_VOIP_LINE2,
    BTN_TAB_VOIP_LINE3,
    BTN_TAB_VOIP_LINE4
  }


  CHAR VAL_DIALER_NUMPAD_LIST[][1]      = // Button Dialing NumPad (0-9,*,#,CLEAR,Pause)
  {
    {'0'},
    {'1'},
    {'2'},
    {'3'},
    {'4'},
    {'5'},
    {'6'},
    {'7'},
    {'8'},
    {'9'},
    {'*'},
    {'#'}
  }

  INTEGER BTN_DIALER_NUMPAD_LIST[]      = // Button Dialing NumPad (0-9,*,#,CLEAR,Pause)
  {
    DIGIT_0,
    DIGIT_1,
    DIGIT_2,
    DIGIT_3,
    DIGIT_4,
    DIGIT_5,
    DIGIT_6,
    DIGIT_7,
    DIGIT_8,
    DIGIT_9,
    MENU_ASTERISK,
    MENU_POUND
  }

  CHAR cTextAutoAnswerAfter[4][15]      =
  {
    {'Immediately'},
    {'1 Ring'},
    {'2 Rings'},
    {'3 Rings'}
  }

DEFINE_VARIABLE

  VOLATILE INTEGER nCurrentVoIPTab      = 1
  VOLATILE INTEGER bVoIPActive[4]       = { FALSE, FALSE, FALSE, FALSE }

  VOLATILE CHAR    sPhoneNumber[4][50]
  VOLATILE INTEGER nTPRingVolumeValue[4]
  VOLATILE INTEGER nTPDTMFVolumeValue[4]
  VOLATILE INTEGER nTPTXVolumeValue[4]
  VOLATILE INTEGER nTPRXVolumeValue[4]

  VOLATILE INTEGER nLastChannelNumUsed

  DEV vdvDevicesVOIP[]                  =
  {
    vdvDevice_01,vdvDevice_02,vdvDevice_03,vdvDevice_04
  }

  DEV dvTPDevicesVOIP[]                 =
  {
    dvTP_01,dvTP_02,dvTP_03,dvTP_04
  }

  DEVCHAN dcDeviceAutoAnswer[]          =
  {
    {vdvDevice_01, DIAL_AUTO_ANSWER_FB},{vdvDevice_02, DIAL_AUTO_ANSWER_FB},{vdvDevice_03, DIAL_AUTO_ANSWER_FB},{vdvDevice_04, DIAL_AUTO_ANSWER_FB}
  }

  DEVCHAN dcTPAutoAnswer[]              =
  {
    {dvTP_01, DIAL_AUTO_ANSWER_FB},{dvTP_02, DIAL_AUTO_ANSWER_FB},{dvTP_03, DIAL_AUTO_ANSWER_FB},{dvTP_04, DIAL_AUTO_ANSWER_FB}
  }

  DEVCHAN dcTPAutoAnswerAfter[]         =
  {
    {dvTP_01, BTN_AUTOANSWER_IMMEDIATELY},{dvTP_01, BTN_AUTOANSWER_1RING},{dvTP_01, BTN_AUTOANSWER_2RINGS},{dvTP_01, BTN_AUTOANSWER_3RINGS},
    {dvTP_02, BTN_AUTOANSWER_IMMEDIATELY},{dvTP_02, BTN_AUTOANSWER_1RING},{dvTP_02, BTN_AUTOANSWER_2RINGS},{dvTP_02, BTN_AUTOANSWER_3RINGS},
    {dvTP_03, BTN_AUTOANSWER_IMMEDIATELY},{dvTP_03, BTN_AUTOANSWER_1RING},{dvTP_03, BTN_AUTOANSWER_2RINGS},{dvTP_03, BTN_AUTOANSWER_3RINGS},
    {dvTP_04, BTN_AUTOANSWER_IMMEDIATELY},{dvTP_04, BTN_AUTOANSWER_1RING},{dvTP_04, BTN_AUTOANSWER_2RINGS},{dvTP_04, BTN_AUTOANSWER_3RINGS}
  }

  INTEGER nBtnAutoAnswerAfter[]         =
  {
    BTN_AUTOANSWER_IMMEDIATELY,BTN_AUTOANSWER_1RING,BTN_AUTOANSWER_2RINGS,BTN_AUTOANSWER_3RINGS
  }

// LVL- RING VOLUME
  DEVLEV dlTPRingVolumeLevel[]          =
  {
    {dvTP_01, LVL_RING_VOLUME},{dvTP_02, LVL_RING_VOLUME},{dvTP_03, LVL_RING_VOLUME},{dvTP_04, LVL_RING_VOLUME}
  }

  DEVLEV dlDeviceRingVolumeLevel[]      =
  {
    {vdvDevice_01, LVL_RING_VOLUME},{vdvDevice_02, LVL_RING_VOLUME},{vdvDevice_03, LVL_RING_VOLUME},{vdvDevice_04, LVL_RING_VOLUME}
  }

  DEVCHAN dcTPRingVolumeValue[]         =
  {
    {dvTP_01, BTN_RING_VOLUME_CHANGED},{dvTP_02, BTN_RING_VOLUME_CHANGED},{dvTP_03, BTN_RING_VOLUME_CHANGED},{dvTP_04, BTN_RING_VOLUME_CHANGED}
  }

// LVL- DTMF VOLUME
  DEVLEV dlTPDTMFVolumeLevel[]          =
  {
    {dvTP_01, LVL_DTMF_VOLUME},{dvTP_02, LVL_DTMF_VOLUME},{dvTP_03, LVL_DTMF_VOLUME},{dvTP_04, LVL_DTMF_VOLUME}
  }

  DEVLEV dlDeviceDTMFVolumeLevel[]      =
  {
    {vdvDevice_01, LVL_DTMF_VOLUME},{vdvDevice_02, LVL_DTMF_VOLUME},{vdvDevice_03, LVL_DTMF_VOLUME},{vdvDevice_04, LVL_DTMF_VOLUME}
  }

  DEVCHAN dcTPDTMFVolumeValue[]         =
  {
    {dvTP_01, BTN_DTMF_VOLUME_CHANGED},{dvTP_02, BTN_DTMF_VOLUME_CHANGED},{dvTP_03, BTN_DTMF_VOLUME_CHANGED},{dvTP_04, BTN_DTMF_VOLUME_CHANGED}
  }

// LVL- TX VOLUME
  DEVLEV dlTPTXVolumeLevel[]            =
  {
    {dvTP_01, LVL_TX_VOLUME},{dvTP_02, LVL_TX_VOLUME},{dvTP_03, LVL_TX_VOLUME},{dvTP_04, LVL_TX_VOLUME}
  }
  DEVLEV dlDeviceTXVolumeLevel[]        =
  {
    {vdvDevice_01, LVL_TX_VOLUME},{vdvDevice_02, LVL_TX_VOLUME},{vdvDevice_03, LVL_TX_VOLUME},{vdvDevice_04, LVL_TX_VOLUME}
  }

  DEVCHAN dcTPTXVolumeValue[]           =
  {
    {dvTP_01, BTN_TX_VOLUME_CHANGED},{dvTP_02, BTN_TX_VOLUME_CHANGED},{dvTP_03, BTN_TX_VOLUME_CHANGED},{dvTP_04, BTN_TX_VOLUME_CHANGED}
  }

// LVL- RX VOLUME
  DEVLEV dlTPRXVolumeLevel[]            =
  {
    {dvTP_01, LVL_RX_VOLUME},{dvTP_02, LVL_RX_VOLUME},{dvTP_03, LVL_RX_VOLUME},{dvTP_04, LVL_RX_VOLUME}
  }
  DEVLEV dlDeviceRXVolumeLevel[]        =
  {
    {vdvDevice_01, LVL_RX_VOLUME},{vdvDevice_02, LVL_RX_VOLUME},{vdvDevice_03, LVL_RX_VOLUME},{vdvDevice_04, LVL_RX_VOLUME}
  }

  DEVCHAN dcTPRXVolumeValue[]           =
  {
    {dvTP_01, BTN_RX_VOLUME_CHANGED},{dvTP_02, BTN_RX_VOLUME_CHANGED},{dvTP_03, BTN_RX_VOLUME_CHANGED},{dvTP_04, BTN_RX_VOLUME_CHANGED}
  }



DEFINE_FUNCTION fnShowVoIPDailer()
{
  STACK_VAR INTEGER i
  fnChannelOn(dvTP,BTN_TAB_VOIP_LINE_LIST[nCurrentVoIPTab])

  FOR(i = 1; i <= 4; i++)
  {
    fnTPHidePopup(dvTP,"'Audiomixer',ITOA(i)")
    fnTPHidePopup(dvTP,"'VoIP Line ',ITOA(i)")
  }

  IF(fnIsChannelOn(vdvDevicesVOIP[nCurrentVoIPTab],DIAL_AUTO_ANSWER_FB))
  {
    fnTPShowButton(dvTPDevicesVOIP[nCurrentVoIPTab],HIDE_SHOW_AUTOANSWER_ITEMS)
  }
  ELSE
  {
    fnTPHideButton(dvTPDevicesVOIP[nCurrentVoIPTab],HIDE_SHOW_AUTOANSWER_ITEMS)
  }
  fnTPShowPopup(dvTP,"'VoIP Line ',ITOA(nCurrentVoIPTab)")
}

DEFINE_FUNCTION fnHandleDialerStatusUpdate(INTEGER nPort, INTEGER status, CHAR dataText[])
{

  //fnIOPrintln("'>>>>>>>>>>>>> fnHandleDialerStatusUpdate: [', ITOA(status),'] text[', dataText, ']'")

  fnTPSetButtonTextAllStates(dvTPDevicesVOIP[nPort],ADDR_DIALER_STATUS,dataText)

  IF(status == 1 || status == 5)                                              //idle or Answered
  {
    bVoIPActive[nPort] = TRUE
    fnTPEnableButton(dvTPDevicesVOIP[nPort],  ADDR_MENU_DIAL)

    fnTPDisableButton(dvTPDevicesVOIP[nPort], ADDR_MENU_ACCEPT)
    fnTPDisableButton(dvTPDevicesVOIP[nPort], ADDR_MENU_REJECT)
    fnTPDisableButton(dvTPDevicesVOIP[nPort], ADDR_BTN_DIALER_HOLD_RESUME)
    fnChannelOff(dvTPDevicesVOIP[nPort], DIAL_OFF_HOOK_ON)
  }
  ELSE IF(status == 2 || status == 3 || status == 6)                          //Initiated, Ringing, Active
  {
    fnChannelOn(dvTPDevicesVOIP[nPort], DIAL_OFF_HOOK_ON)

    fnTPDisableButton(dvTPDevicesVOIP[nPort], ADDR_MENU_ACCEPT)
    fnTPDisableButton(dvTPDevicesVOIP[nPort], ADDR_MENU_REJECT)
    fnTPDisableButton(dvTPDevicesVOIP[nPort], ADDR_MENU_DIAL)
    fnTPDisableButton(dvTPDevicesVOIP[nPort], ADDR_BTN_DIALER_HOLD_RESUME)

    IF(STATUS == 6)                                                            //ACTIVE
    {
      fnTPEnableButton(dvTPDevicesVOIP[nPort], ADDR_BTN_DIALER_HOLD_RESUME)
    }
  }
  ELSE IF(status == 4)                                                         //Answer Pending
  {
    fnTPEnableButton(dvTPDevicesVOIP[nPort],  ADDR_MENU_ACCEPT)
    fnTPEnableButton(dvTPDevicesVOIP[nPort],  ADDR_MENU_REJECT)

    fnTPDisableButton(dvTPDevicesVOIP[nPort], ADDR_MENU_DIAL)
    fnTPDisableButton(dvTPDevicesVOIP[nPort], ADDR_BTN_DIALER_HOLD_RESUME)
    fnChannelOff(dvTPDevicesVOIP[nPort],      DIAL_OFF_HOOK_ON)
  }
}


DEFINE_MUTUALLY_EXCLUSIVE

  ([dvTP_01,BTN_TAB_VOIP_LINE_LIST[1]]..[dvTP_01,BTN_TAB_VOIP_LINE_LIST[LENGTH_ARRAY(BTN_TAB_VOIP_LINE_LIST)]])
  ([dvTP_01,nBtnAutoAnswerAfter[1]]..[dvTP_01,nBtnAutoAnswerAfter[LENGTH_ARRAY(nBtnAutoAnswerAfter)]])
  ([dvTP_02,nBtnAutoAnswerAfter[1]]..[dvTP_02,nBtnAutoAnswerAfter[LENGTH_ARRAY(nBtnAutoAnswerAfter)]])
  ([dvTP_03,nBtnAutoAnswerAfter[1]]..[dvTP_03,nBtnAutoAnswerAfter[LENGTH_ARRAY(nBtnAutoAnswerAfter)]])
  ([dvTP_04,nBtnAutoAnswerAfter[1]]..[dvTP_04,nBtnAutoAnswerAfter[LENGTH_ARRAY(nBtnAutoAnswerAfter)]])


DEFINE_START

  FOR(idx = 1; idx <= LENGTH_ARRAY(dlTPTXVolumeLevel); idx++)
  {
    CREATE_LEVEL dlTPTXVolumeLevel[idx],   nTPTXVolumeValue[idx]
  }
  FOR(idx = 1; idx <= LENGTH_ARRAY(dlTPRXVolumeLevel); idx++)
  {
    CREATE_LEVEL dlTPRXVolumeLevel[idx],   nTPRXVolumeValue[idx]
  }
  FOR(idx = 1; idx <= LENGTH_ARRAY(dlTPDTMFVolumeLevel); idx++)
  {
    CREATE_LEVEL dlTPDTMFVolumeLevel[idx], nTPDTMFVolumeValue[idx]
  }
  FOR(idx = 1; idx <= LENGTH_ARRAY(dlTPRingVolumeLevel); idx++)
  {
    CREATE_LEVEL dlTPRingVolumeLevel[idx], nTPRingVolumeValue[idx]
  }


DEFINE_EVENT

  DATA_EVENT[vdvDevicesVOIP]
  {
    COMMAND:
    {
      STACK_VAR CHAR cCmd[DUET_MAX_CMD_LEN]
      STACK_VAR CHAR cHeader[DUET_MAX_HDR_LEN]
      STACK_VAR CHAR cParm[DUET_MAX_HDR_LEN]

      cCmd                              = DATA.TEXT
      cHeader                           = DuetParseCmdHeader(cCmd)
      cParm                             = DuetParseCmdParam(cCmd)

      //fnIOprintln("'>>> [NETLINX] PORT: ', ITOA(DATA.DEVICE.PORT), ' COMMAND: ', DATA.TEXT")

      SWITCH(cHeader)
      {
        CASE 'DCP.AUTOANSWERAFTER':
        {
          STACK_VAR INTEGER idx

          idx                           = fnArrayStringIndex(cParm,cTextAutoAnswerAfter)

          IF(idx > 0 && idx <= LENGTH_ARRAY(nBtnAutoAnswerAfter))
          {
            fnChannelOn(dvTPDevicesVOIP[DATA.DEVICE.PORT],nBtnAutoAnswerAfter[idx])
          }
          ELSE
          {
            fnIOPrintln("PRT_PREFIX,
            'not valid auto answer after value',
            DATA.TEXT")
          }
        }

        CASE 'DIALERSTATUS':
        {
          fnHandleDialerStatusUpdate(DATA.DEVICE.PORT,ATOI(cParm)+1, cCmd)
        }

        CASE 'DIALNUMBER':
        {
          sPhoneNumber[DATA.DEVICE.PORT]         = cParm
          fnTPSetButtonTextAllStates( dvTPDevicesVOIP[DATA.DEVICE.PORT],TXT_NUMBER_TO_DIAL,sPhoneNumber[DATA.DEVICE.PORT])
        }

        CASE 'DCP.CALLERID':
        {
          fnTPSetButtonTextAllStates( dvTPDevicesVOIP[DATA.DEVICE.PORT],ADDR_DIALER_CALLERID,cParm)
        }

        CASE 'DCP.DIALKEYPRESS':
        {
          IF(fnArrayStringIndex(cParm, VAL_DIALER_NUMPAD_LIST))
          {
            sPhoneNumber[DATA.DEVICE.PORT]         = "sPhoneNumber[DATA.DEVICE.PORT], cParm"
            fnTPSetButtonTextAllStates( dvTPDevicesVOIP[DATA.DEVICE.PORT],TXT_NUMBER_TO_DIAL,sPhoneNumber[DATA.DEVICE.PORT])
          }
        }

        CASE 'DCP.HOLD':
        {
          fnChannelOn(dvTPDevicesVOIP[DATA.DEVICE.PORT],BTN_DIALER_HOLD_RESUME)
        }

        CASE 'DCP.RESUME':
        {
          fnChannelOff(dvTPDevicesVOIP[DATA.DEVICE.PORT],BTN_DIALER_HOLD_RESUME)
        }
      }
    }
  }

  BUTTON_EVENT[dvTP, nDialerPage]
  BUTTON_EVENT[dvTP, BTN_TAB_VOIP_LINE_LIST]
  {
    RELEASE:
    {
      IF(fnArrayIntegerIndex(BUTTON.INPUT.CHANNEL,BTN_TAB_VOIP_LINE_LIST))
      {
        nCurrentVoIPTab                    = fnArrayIntegerIndex(BUTTON.INPUT.CHANNEL,BTN_TAB_VOIP_LINE_LIST)
      }
      fnShowVoIPDailer()
    }
  }

  BUTTON_EVENT[dvTPDevicesVOIP, DIAL_OFF_HOOK_ON]
  {
    RELEASE:
    {
      STACK_VAR INTEGER port

      port                              = BUTTON.INPUT.DEVICE.PORT
      PULSE[vdvDevicesVOIP[port], MENU_REJECT]
    }
  }


  BUTTON_EVENT[dvTPDevicesVOIP, BTN_DIALER_HOLD_RESUME]
  {
    RELEASE:
    {
      IF([BUTTON.INPUT.DEVICE,BTN_DIALER_HOLD_RESUME])
      {
        fnSendCommand(vdvDevicesVOIP[BUTTON.INPUT.DEVICE.PORT], 'DCP.RESUME')
      }
      ELSE
      {
        fnSendCommand(vdvDevicesVOIP[BUTTON.INPUT.DEVICE.PORT], 'DCP.HOLD')
      }
    }
  }

  BUTTON_EVENT[dvTPDevicesVOIP, BTN_DIALER_CHANNEL_ACTION_LIST]
  {
    RELEASE:
    {
      fnTPToggleChannel(vdvDevicesVOIP[BUTTON.INPUT.DEVICE.PORT], BUTTON.INPUT.CHANNEL)
    }
  }

  BUTTON_EVENT[dvTPDevicesVOIP, BTN_DIALER_MOMENTARY_ACTION_LIST]
  {
    RELEASE:
    {
      PULSE[vdvDevicesVOIP[BUTTON.INPUT.DEVICE.PORT], BUTTON.INPUT.CHANNEL]
    }
  }

  BUTTON_EVENT[dcTPAutoAnswer]
  {
    RELEASE:
    {
      fnTPToggleChannel(vdvDevicesVOIP[BUTTON.INPUT.DEVICE.PORT], BUTTON.INPUT.CHANNEL)
    }
  }

  BUTTON_EVENT[dcTPAutoAnswerAfter]
  {
    RELEASE:
    {
      STACK_VAR INTEGER idx

      idx                               = fnArrayIntegerIndex(BUTTON.INPUT.CHANNEL,nBtnAutoAnswerAfter)

      IF(idx > 0)
      {
        fnSendCommandEx(vdvDevicesVOIP[BUTTON.INPUT.DEVICE.PORT],'DCP.AUTOANSWERAFTER',cTextAutoAnswerAfter[idx])
      }
    }
  }

  BUTTON_EVENT[dvTPDevicesVOIP, BTN_DIALER_NUMPAD_LIST]
  {
    PUSH:
    {
      fnSendCommandEx(vdvDevicesVOIP[BUTTON.INPUT.DEVICE.PORT], 'DCP.DIALKEYPRESS', VAL_DIALER_NUMPAD_LIST[GET_LAST(BTN_DIALER_NUMPAD_LIST)])
    }
  }

// Ring volume
  BUTTON_EVENT[dcTPRingVolumeValue]
  {
    RELEASE:
    {
      SEND_LEVEL dlDeviceRingVolumeLevel[GET_LAST(dcTPRingVolumeValue)],nTPRingVolumeValue[GET_LAST(dcTPRingVolumeValue)]
    }
  }

  LEVEL_EVENT[dlDeviceRingVolumeLevel]
  {
    SEND_LEVEL dlTPRingVolumeLevel[GET_LAST(dlDeviceRingVolumeLevel)],LEVEL.VALUE
  }

// DTMF volume
  BUTTON_EVENT[dcTPDTMFVolumeValue]
  {
    RELEASE:
    {
      SEND_LEVEL dlDeviceDTMFVolumeLevel[GET_LAST(dcTPDTMFVolumeValue)],nTPDTMFVolumeValue[GET_LAST(dcTPDTMFVolumeValue)]
    }
  }

  LEVEL_EVENT[dlDeviceDTMFVolumeLevel]
  {
    SEND_LEVEL dlTPDTMFVolumeLevel[GET_LAST(dlDeviceDTMFVolumeLevel)],LEVEL.VALUE
  }

// TX volume
  BUTTON_EVENT[dcTPTXVolumeValue]
  {
    RELEASE:
    {
      SEND_LEVEL dlDeviceTXVolumeLevel[GET_LAST(dcTPTXVolumeValue)],nTPTXVolumeValue[GET_LAST(dcTPTXVolumeValue)]
    }
  }

  LEVEL_EVENT[dlDeviceTXVolumeLevel]
  {
    SEND_LEVEL dlTPTXVolumeLevel[GET_LAST(dlDeviceTXVolumeLevel)],LEVEL.VALUE
  }

// RX volume
  BUTTON_EVENT[dcTPRXVolumeValue]
  {
    RELEASE:
    {
      SEND_LEVEL dlDeviceRXVolumeLevel[GET_LAST(dcTPRXVolumeValue)],nTPRXVolumeValue[GET_LAST(dcTPRXVolumeValue)]
    }
  }

  LEVEL_EVENT[dlDeviceRXVolumeLevel]
  {
    SEND_LEVEL dlTPRXVolumeLevel[GET_LAST(dlDeviceRXVolumeLevel)],LEVEL.VALUE
  }


  CHANNEL_EVENT[dcDeviceAutoAnswer]
  {
    ON:
    {
      fnTPShowButton(dvTPDevicesVOIP[CHANNEL.DEVICE.PORT],HIDE_SHOW_AUTOANSWER_ITEMS)
    }

    OFF:
    {
      fnTPHideButton(dvTPDevicesVOIP[CHANNEL.DEVICE.PORT],HIDE_SHOW_AUTOANSWER_ITEMS)
    }
  }

  CHANNEL_EVENT[dvTPDevicesVOIP, BTN_DIALER_MOMENTARY_ACTION_LIST]
  {
    ON:
    {
      STACK_VAR INTEGER port
      port                              = CHANNEL.DEVICE.PORT

      //fnIOPrintln("'CHANNEL_EVENT ON Channel[',ITOA(CHANNEL.CHANNEL),'] port[', ITOA(CHANNEL.DEVICE.PORT), ']'")

      IF(nLastChannelNumUsed != CHANNEL.CHANNEL)
      {
        nLastChannelNumUsed = CHANNEL.CHANNEL
        SWITCH(CHANNEL.CHANNEL)
        {
          CASE MENU_BACK:
          {
            sPhoneNumber[port]          = fnStripCharsRight(sPhoneNumber[port], 1)
            fnTPSetButtonTextAllStates( dvTPDevicesVOIP[port],TXT_NUMBER_TO_DIAL,sPhoneNumber[port])
          }
        }
      }
    }
    OFF:
    {
      //fnIOPrintln("'CHANNEL_EVENT OFF Channel[',ITOA(CHANNEL.CHANNEL),'] port[', ITOA(CHANNEL.DEVICE.PORT), ']'")
      nLastChannelNumUsed = 0
    }
  }
	
	TIMELINE_EVENT[DEFINE_PROGRAM_TIMELINE_ID]
  {
/*|-----------------------------------------------------------------------------|
  |                              !!!! WARNING !!!!                              |
  |                                                                             |
  | Due to differences in the underlying architecture of the X-Series masters,  |
  |     changing variables in the DEFINE_PROGRAM section of code can negatively |
  |     impact program performance.                                             |
  |                                                                             |
  | TimeLine implementation refer to "Differences in DEFINE_PROGRAM Program     |
  |     Execution" section of the NX-Series Controllers WebConsole &            |
  |     Programming Guide for additional and alternate coding methodologies.    |
  |-----------------------------------------------------------------------------|*/
  
    STACK_VAR INTEGER nLoop1
    STACK_VAR INTEGER nLoop2

    FOR(nLoop1=1; nLoop1<= LENGTH_ARRAY(dvTPDevicesVOIP); nLoop1++)
    {
      FOR(nLoop2=1; nLoop2<= LENGTH_ARRAY(BTN_DIALER_CHANNEL_ACTION_LIST); nLoop2++)
      {
        [dvTPDevicesVOIP[nLoop1], BTN_DIALER_CHANNEL_ACTION_LIST[nLoop2]] = [vdvDevicesVOIP[nLoop1], BTN_DIALER_CHANNEL_ACTION_LIST[nLoop2]]
      }
    }
  }
	
/*|-----------------------------------------------------------------------------|
  |                                END OF PROGRAM                               |
  |                                                                             |
  |               !!!  DO NOT PUT ANY CODE BELOW THIS COMMENT  !!!              |
  |-----------------------------------------------------------------------------|*/