PROGRAM_NAME='G4APIConstants'
#IF_NOT_DEFINED __G4API_CONST__
#DEFINE __G4API_CONST__

DEFINE_CONSTANT

  CHAR G4API_AXI_VERSION[]              =	'1.14 ITG'

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                         Amplifier : Channels/Levels                          |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)

  LVL_VOL                               =	1     // Level: Volume level (0-255)

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |              Audio Conferencer : Channels/Levels/Variable Text               |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_ACCEPT                       =	60    // Press menu button accept (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_HOLD                         =	85    // Press menu button hold (Momentary FB)
  BTN_MENU_LT_PAREN                     =	87    // Press menu button left paren (Momentary FB)
  BTN_MENU_RT_PAREN                     =	88    // Press menu button right paren (Momentary FB)
  BTN_MENU_UNDERSCORE                   =	89    // Press menu button underscore (Momentary FB)
  BTN_MENU_DASH                         =	90    // Press menu button dash (Momentary FB)
  BTN_MENU_ASTERISK                     =	91    // Press menu button asterisk (Momentary FB)
  BTN_MENU_DOT                          =	92    // Press menu button dot (Momentary FB)
  BTN_MENU_POUND                        =	93    // Press menu button pound (Momentary FB)
  BTN_MENU_COMMA                        =	94    // Press menu button comma (Momentary FB)
  BTN_MENU_DIAL                         =	95    // Press menu button dial (Momentary FB)
  BTN_MENU_CONFERENCE                   =	96    // Press menu button conference (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_HELP                         =	113   // Press menu button help (Momentary FB)
  BTN_ACONF_PRIVACY                     =	145   // Cycle privacy (Momentary FB)
  BTN_ACONF_TRAIN                       =	147   // Execute train (Momentary FB)
  BTN_DIAL_REDIAL                       =	201   // Redial (Momentary FB)
  BTN_DIAL_OFF_HOOK                     =	202   // Cycle off hook state (Channel FB)
  BTN_MENU_FLASH                        =	203   // Press menu button flash (Momentary FB)
  BTN_DIAL_AUTO_ANSWER                  =	204   // Cycle auto answer state (Channel FB)
  BTN_DIAL_AUDIBLE_RING                 =	205   // Cycle audible ring state (Channel FB)
  BTN_PHONEBOOK_NEXT                    =	401   // Next Page (Momentary FB)
  BTN_PHONEBOOK_PREV                    =	402   // Previous Page (Momentary FB)
  BTN_PHONEBOOK_DIAL                    =	407   // Dial the selected item (Momentary FB)

  #IF_NOT_DEFINED __BTN_DIAL_LIST__
		#DEFINE __BTN_DIAL_LIST__
		INTEGER BTN_DIAL_LIST[]             =	// Group: Speed dial (Momentary FB)
		{
			341, 342, 343, 344, 345,
			346, 347, 348, 349, 350,
			351, 352, 353, 354, 355,
			356, 357, 358, 359, 360
		}
  #END_IF // __BTN_DIAL_LIST__

  #IF_NOT_DEFINED __BTN_PHONEBOOK_LIST__
		#DEFINE __BTN_PHONEBOOK_LIST__
		INTEGER BTN_PHONEBOOK_LIST[]        =	// Group: Select Phonebook item (Channel FB)
		{
			391, 392, 393, 394, 395,
			396, 397, 398, 399, 400
		}
  #END_IF // __BTN_PHONEBOOK_LIST__

  LVL_VOL                               =	1     // Level: Volume level (0-255)
  TXT_DIAL_NUMBER                       =	19    // Text: Incoming call number
  TXT_DIAL_CALL_PROGRESS                =	20    // Text: Call progress
  TXT_PHONEBOOK_NAME                    =	178   // Text: Phonebook Name
  TXT_PHONEBOOK_NUMBER                  =	179   // Text: Phonebook Number
  TXT_PHONEBOOK_LIST_STATUS             =	180   // Text: Phonebook List Status (total records)

  #IF_NOT_DEFINED __TXT_PHONEBOOK_LIST__
		#DEFINE __TXT_PHONEBOOK_LIST__
		INTEGER TXT_PHONEBOOK_LIST[]        =	// Text: Phonebook List
		{
			181, 182, 183, 184, 185,
			186, 187, 188, 189, 190
		}
  #END_IF // __TXT_PHONEBOOK_LIST__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                        Audio Mixer : Channels/Levels                         |
  |------------------------------------------------------------------------------|*/

  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_GAIN_UP                           =	140   // Ramp gain up (Channel FB)
  BTN_GAIN_DN                           =	141   // Ramp gain down (Channel FB)
  BTN_GAIN_MUTE                         =	144   // Cycle gain mute (Channel FB)
  BTN_MIXER_XPOINT_MUTE                 =	256   // Cycle crosspoint mute (Channel FB)

  BTN_SWT_TAKE                          =	257   // Take SWITCH(Momentary FB)
  BTN_MIXER_XPOINT_UP                   =	258   // Crosspoint value up (Momentary FB)
  BTN_MIXER_XPOINT_DN                   =	259   // Crosspoint value down (Momentary FB)
  BTN_MIXER_PRESET_SAVE                 =	260   // Save Mixer preset (Channel FB)

  INTEGER BTN_MIXER_PRESET[]            =	// Group: Recall Mixer preset (Channel FB)
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

  INTEGER BTN_MIXER_INPUT[]             =	// Group: Input for crosspoint/SWITCH(Channel FB)
  {
    281, 282, 283, 284, 285,
    286, 287, 288, 289, 290,
    291, 292, 293, 294, 295,
    296, 297, 298, 299, 300
  }

  INTEGER BTN_MIXER_OUTPUT[]            =	// Group: Output for crosspoint/SWITCH(Channel FB)
  {
    301, 302, 303, 304, 305,
    306, 307, 308, 309, 310,
    311, 312, 313, 314, 315,
    316, 317, 318, 319, 320
  }

  LVL_VOL                               =	1     // Level: Volume level (0-255)
  LVL_GAIN                              =	5     // Level: Gain level (0-255)
  LVL_MIXER_XPOINT_SET                  =	8     // Level: Crosspoint level

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                      Audio Processor : Channels/Levels                       |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_APROC_XPOINT_UP                   =	24    // Crosspoint value up (Momentary FB)
  BTN_APROC_XPOINT_DN                   =	25    // Crosspoint value down (Momentary FB)
  BTN_APROC_XPOINT_MUTE                 =	26    // Cycle crosspint mute (Channel FB)

  BTN_SWT_TAKE                          =	257   // Take SWITCH(Momentary FB)
  BTN_APROC_PRESET_SAVE                 =	260   // Save Audio Processor preset (Channel FB)

  INTEGER BTN_APROC_PRESET[]            =	// Group: Recall Audio Processor preset (Channel FB)
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

  INTEGER BTN_APROC_INPUT[]             =	// Group: Input for crosspoint/SWITCH(Channel FB)
  {
    281, 282, 283, 284, 285,
    286, 287, 288, 289, 290,
    291, 292, 293, 294, 295,
    296, 297, 298, 299, 300
  }

  INTEGER BTN_APROC_OUTPUT[]            =	// Group: Output for crosspoint/SWITCH(Channel FB)
  {
    301, 302, 303, 304, 305,
    306, 307, 308, 309, 310,
    311, 312, 313, 314, 315,
    316, 317, 318, 319, 320
  }

  LVL_APROC_XPOINT_SET                  =	8     // Level: Crosspoint level

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                     Audio Tape : Channels/Variable Text                      |
  |------------------------------------------------------------------------------|*/

  BTN_PLAY                              =	1     // Play (Channel FB)
  BTN_STOP                              =	2     // Stop (Channel FB)
  BTN_PAUSE                             =	3     // Pause (Channel FB)
  BTN_FFWD                              =	4     // Fast forward (Channel FB)
  BTN_REW                               =	5     // Rewind (Channel FB)
  BTN_SFWD                              =	6     // Search forward (Channel FB)
  BTN_SREV                              =	7     // Search reverse (Channel FB)
  BTN_RECORD                            =	8     // Record (Channel FB)
  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_CASS_TAPE_SIDE                    =	42    // Cycle the audio tape side (Momentary FB)
  BTN_SEARCH_SPEED                      =	119   // Cycle search speed (Momentary FB)
  BTN_EJECT                             =	120   // Eject tape (Momentary FB)
  BTN_RESET_COUNTER                     =	121   // Reset counter (Momentary FB)
  BTN_SLOW_FWD                          =	188   // Slow forward (Channel FB)
  BTN_SLOW_REV                          =	189   // Slow reverse (Channel FB)

  TXT_TAPE_COUNTER                      =	11    // Text: Tape Counter

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                 Audio Tuner Device : Channels/Variable Text                  |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_CHAN_UP                           =	22    // Go to next Station Preset (Momentary FB)
  BTN_CHAN_DN                           =	23    // Go to prev Station Preset (Momentary FB)
  BTN_TUNER_BAND                        =	40    // Cycle tuner band  (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_DOT                          =	92    // Press menu button digit . (Momentary FB)
  BTN_TUNER_PRESET_GROUP                =	224   // Cycle station preset group (Momentary FB)
  BTN_TUNER_STATION_UP                  =	225   // Increment Channel (Momentary FB)
  BTN_TUNER_STATION_DN                  =	226   // Decrement Channel (Momentary FB)
  BTN_TUNER_SCAN_FWD                    =	227   // Station scan forward (Momentary FB)
  BTN_TUNER_SCAN_REV                    =	228   // Station scan backward/reverse (Momentary FB)
  BTN_TUNER_SEEK_FWD                    =	229   // Station seek forward (Momentary FB)
  BTN_TUNER_SEEK_REV                    =	230   // Station seek backward/reverse (Momentary FB)
  BTN_TUNER_PREV                        =	235   // Goto previous tuner station (Momentary FB)

  TXT_TUNER_STATION                     =	16    // Text: Station
  TXT_TUNER_BAND                        =	17    // Text: Tuner Band

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                              Camera : Channels                               |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_TILT_UP                           =	132   // Ramp tilt up (Channel FB)
  BTN_TILT_DN                           =	133   // Ramp tilt down (Channel FB)
  BTN_PAN_LT                            =	134   // Ramp pan left (Channel FB)
  BTN_PAN_RT                            =	135   // Ramp pan right (Channel FB)
  BTN_ZOOM_OUT                          =	158   // Ramp zoom out (Channel FB)
  BTN_ZOOM_IN                           =	159   // Ramp zoom in (Channel FB)
  BTN_FOCUS_NEAR                        =	160   // Ramp focus near (Channel FB)
  BTN_FOCUS_FAR                         =	161   // Ramp focus far (Channel FB)
  BTN_AUTO_FOCUS                        =	172   // Cycle auto focus (Channel FB)
  BTN_AUTO_IRIS                         =	173   // Cycle auto iris (Channel FB)
  BTN_IRIS_OPEN                         =	174   // Ramp iris open (Channel FB)
  BTN_IRIS_CLOSE                        =	175   // Ramp iris closed (Channel FB)
  BTN_CAM_PRESET_SAVE                   =	260   // Save Camera preset (Channel FB)

  #IF_NOT_DEFINED __BTN_CAM_PRESET__
		#DEFINE __BTN_CAM_PRESET__
		INTEGER BTN_CAM_PRESET[]            =	// Group: Recall Camera preset (Channel FB)
		{
			261, 262, 263, 264, 265,
			266, 267, 268, 269, 270,
			271, 272, 273, 274, 275,
			276, 277, 278, 279, 280
		}
  #END_IF // __BTN_CAM_PRESET__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |            Digital Media Decoder : Channels/Levels/Variable Text             |
  |------------------------------------------------------------------------------|*/

  BTN_PLAY                              =	1     // Play (Channel FB)
  BTN_STOP                              =	2     // Stop (Channel FB)
  BTN_PAUSE                             =	3     // Pause (Channel FB)
  BTN_FFWD                              =	4     // Goto the next track (Momentary FB)
  BTN_REW                               =	5     // Goto the previous track (Momentary FB)
  BTN_SFWD                              =	6     // Scan forward (Channel FB)
  BTN_SREV                              =	7     // Scan reverse (Channel FB)
  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_BACK                         =	81    // Press menu button back (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_SUBTITLE                     =	100   // Press menu button subtitle (Momentary FB)
  BTN_MENU_INFO                         =	101   // Press menu button info (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_PAGE_UP                      =	106   // Press menu button page up (Momentary FB)
  BTN_MENU_PAGE_DN                      =	107   // Press menu button page down (Momentary FB)
  BTN_MENU_AB_REPEAT                    =	112   // Press menu button AB repeat (Momentary FB)
  BTN_MENU_HELP                         =	113   // Press menu button help (Momentary FB)
  BTN_MENU_TITLE                        =	114   // Press menu button title (Momentary FB)
  BTN_MENU_TOP_MENU                     =	115   // Press menu button top menu (Momentary FB)
  BTN_MENU_ZOOM                         =	116   // Press menu button zoom (Momentary FB)
  BTN_MENU_ANGLE                        =	117   // Press menu button angle (Momentary FB)
  BTN_MENU_AUDIO                        =	118   // Press menu button audio (Momentary FB)
  BTN_MEDIA_RANDOM                      =	124   // Cycle the random state (Momentary FB)
  BTN_MEDIA_REPEAT                      =	125   // Cycle the repeat state (Momentary FB)

  LVL_VOL                               =	1     // Level: Volume level (0-255)

  TXT_MEDIA_COUNTER                     =	9     // Text: Media Counter
  TXT_DISC_TRACK_COUNTER                =	10    // Text: Track Counter
  TXT_CURRENT_MEDIA_INFO                =	130   // Text: Current media information

  #IF_NOT_DEFINED __TXT_TRACK_INFO__
		#DEFINE __TXT_TRACK_INFO__
		INTEGER TXT_TRACK_INFO[]            =	// Text: Track info
		{
			28, 29
		}
  #END_IF // __TXT_TRACK_INFO__

  #IF_NOT_DEFINED __TXT_TRACK_PROPERTIES__
		#DEFINE __TXT_TRACK_PROPERTIES__
		INTEGER TXT_TRACK_PROPERTIES[]      =	// Text: Track property keys
		{
			131, 132, 133, 134, 135,
			136, 137, 138, 139, 140
		}
  #END_IF // __TXT_TRACK_PROPERTIES__

  #IF_NOT_DEFINED __TXT_TRACK_VALUES__
		#DEFINE __TXT_TRACK_VALUES__
		INTEGER TXT_TRACK_VALUES[]          =	// Text: Track property values
		{
			141, 142, 143, 144, 145,
			146, 147, 148, 149, 150
		}
  #END_IF // __TXT_TRACK_VALUES__

  #IF_NOT_DEFINED __TXT_DECODE_PROPERTIES__
		#DEFINE __TXT_DECODE_PROPERTIES__
		INTEGER TXT_DECODE_PROPERTIES[]     =	// Text: Media property keys
		{
			201, 202, 203, 204, 205,
			206, 207, 208, 209, 210
		}
  #END_IF // __TXT_DECODE_PROPERTIES__

  #IF_NOT_DEFINED __TXT_DECODE_VALUES__
		#DEFINE __TXT_DECODE_VALUES__
		INTEGER TXT_DECODE_VALUES[]         =	// Text: Media property values
		{
			211, 212, 213, 214, 215,
			216, 217, 218, 219, 220
		}
  #END_IF // __TXT_DECODE_VALUES__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |            Digital Media Encoder : Channels/Levels/Variable Text             |
  |------------------------------------------------------------------------------|*/

  BTN_PLAY                              =	1     // Play (Channel FB)
  BTN_STOP                              =	2     // Stop (Channel FB)
  BTN_PAUSE                             =	3     // Pause (Channel FB)
  BTN_FFWD                              =	4     // Goto the next track (Momentary FB)
  BTN_REW                               =	5     // Goto the previous track (Momentary FB)
  BTN_SFWD                              =	6     // Scan forward (Channel FB)
  BTN_SREV                              =	7     // Scan reverse (Channel FB)
  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_GAIN_UP                           =	140   // Ramp gain up (Channel FB)
  BTN_GAIN_DN                           =	141   // Ramp gain down (Channel FB)
  BTN_GAIN_MUTE                         =	144   // Cycle gain mute (Channel FB)

  LVL_GAIN                              =	5     // Level: Gain level (0-255)

  TXT_DISC_TRACK_COUNTER                =	10    // Text: Track Counter
  TXT_CURRENT_MEDIA_INFO                =	130   // Text: Current media information

  #IF_NOT_DEFINED __TXT_ENCODE_PROPERTIES__
		#DEFINE __TXT_ENCODE_PROPERTIES__
		INTEGER TXT_ENCODE_PROPERTIES[]       =	// Text: Media property keys
		{
			221, 222, 223, 224, 225,
			226, 227, 228, 229, 230
		}
  #END_IF // __TXT_ENCODE_PROPERTIES__

  #IF_NOT_DEFINED __TXT_ENCODE_VALUES__
		#DEFINE __TXT_ENCODE_VALUES__
		INTEGER TXT_ENCODE_VALUES[]         =	// Text: Media property values
		{
			231, 232, 233, 234, 235,
			236, 237, 238, 239, 240
		}
  #END_IF // __TXT_ENCODE_VALUES__

DEFINE_CONSTANT  //              Digital Media Server Channels/Levels/Variable Text              |

  BTN_PLAY                              =	1     // Play (Channel FB)
  BTN_STOP                              =	2     // Stop (Channel FB)
  BTN_PAUSE                             =	3     // Pause (Channel FB)
  BTN_FFWD                              =	4     // Goto the next track (Momentary FB)
  BTN_REW                               =	5     // Goto the previous track (Momentary FB)
  BTN_SFWD                              =	6     // Scan forward (Channel FB)
  BTN_SREV                              =	7     // Scan reverse (Channel FB)
  BTN_RECORD                            =	8     // Record (Channel FB)
  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_BACK                         =	81    // Press menu button back (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_INFO                         =	101   // Press menu button info (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_PAGE_UP                      =	106   // Press menu button page up (Momentary FB)
  BTN_MENU_PAGE_DN                      =	107   // Press menu button page down (Momentary FB)
  BTN_MENU_AB_REPEAT                    =	112   // Press menu button AB repeat (Momentary FB)
  BTN_MENU_HELP                         =	113   // Press menu button help (Momentary FB)
  BTN_MENU_TITLE                        =	114   // Press menu button title (Momentary FB)
  BTN_MENU_TOP_MENU                     =	115   // Press menu button top menu (Momentary FB)
  BTN_MENU_ZOOM                         =	116   // Press menu button zoom (Momentary FB)
  BTN_MENU_AUDIO                        =	118   // Press menu button audio (Momentary FB)
  BTN_MEDIA_RANDOM                      =	124   // Cycle the random state (Momentary FB)
  BTN_MEDIA_REPEAT                      =	125   // Cycle the repeat state (Momentary FB)
  BTN_GAIN_UP                           =	140   // Ramp gain up (Channel FB)
  BTN_GAIN_DN                           =	141   // Ramp gain down (Channel FB)
  BTN_GAIN_MUTE                         =	144   // Cycle gain mute (Channel FB)
  BTN_MEDIADB_NEXT                      =	401   // Next Page (Momentary FB)
  BTN_MEDIADB_PREV                      =	402   // Previous Page (Momentary FB)
  BTN_MEDIADB_SELECT                    =	405   // Select Media DB item (Momentary FB)
  BTN_MEDIADB_BACK                      =	406   // Navigate up the tree (Momentary FB)
  BTN_MEDIADB_PLAY                      =	407   // Play the selected item (Momentary FB)
  BTN_MEDIADB_SEARCH                    =	410   // Search (Momentary FB)
  BTN_MEDIADB_SEARCH_ALL                =	411   // Search all columns (Channel FB)
  BTN_MEDIADB_SEARCH_ARTIST             =	412   // Search by Artist (Channel FB)
  BTN_MEDIADB_SEARCH_GENRE              =	413   // Search by Genre (Channel FB)
  BTN_MEDIADB_SEARCH_TITLE              =	414   // Search by Title (Channel FB)
  BTN_MEDIADB_SEARCH_KEYWORDS           =	415   // Search by Keywords (Channel FB)
  BTN_MEDIADB_SEARCH_BOOKMARK           =	416   // Search by Bookmark (Channel FB)
  BTN_MEDIADB_SEARCH_TEXT               =	420   // Search text (Momentary FB)
  BTN_MEDIADB_RETURN_ALL                =	421   // Return all types (Channel FB)
  BTN_MEDIADB_RETURN_PICTURE            =	422   // Return pictures (Channel FB)
  BTN_MEDIADB_RETURN_APPLICATION        =	423   // Return applications (Channel FB)
  BTN_MEDIADB_RETURN_TRACK              =	424   // Return tracks (Channel FB)
  BTN_MEDIADB_RETURN_CHAPTER            =	425   // Return chapters (Channel FB)
  BTN_MEDIADB_RETURN_PLAYLIST           =	426   // Return playlists (Channel FB)
  BTN_MEDIADB_RETURN_BOOKMARK           =	427   // Return bookmarks (Channel FB)
  BTN_MEDIADB_RETURN_DISC               =	428   // Return discs (Channel FB)
  BTN_MEDIADB_RETURN_AUDIO              =	429   // Return audio items (Channel FB)
  BTN_MEDIADB_RETURN_VIDEO              =	430   // Return video items (Channel FB)
  BTN_MEDIADB_RETURN_GENRE              =	431   // Return genres (Channel FB)
  BTN_MEDIADB_RETURN_ARTIST             =	432   // Return artists (Channel FB)
  BTN_MEDIADB_RETURN_STATION            =	433   // Return stations (Channel FB)

  INTEGER BTN_MEDIADB_PROPERTIES[]      =	// Group: Select a property (Momentary FB)
  {
    381, 382, 383, 384, 385,
    386, 387, 388, 389, 390
  }

  INTEGER BTN_MEDIADB_LIST[]            =	// Group: Select Media DB item (Channel FB)
  {
    391, 392, 393, 394, 395,
    396, 397, 398, 399, 400
  }

  LVL_VOL                               =	1     // Level: Volume level (0-255)
  LVL_GAIN                              =	5     // Level: Gain level (0-255)

  TXT_MEDIA_COUNTER                     =	9     // Text: Media Counter
  TXT_DISC_TRACK_COUNTER                =	10    // Text: Track Counter
  TXT_CURRENT_MEDIA_INFO                =	130   // Text: Current media information
  TXT_MEDIADB_SEARCH_CUR_ITEM           =	174   // Text: Current item
  TXT_MEDIADB_SEARCH_TEXT               =	175   // Text: Search text
  TXT_MEDIADB_SEARCH                    =	176   // Text: Search type
  TXT_MEDIADB_RETURN                    =	177   // Text: RETURN type
  TXT_MEDIADB_LIST_STATUS               =	180   // Text: Media List Status (total records)

  #IF_NOT_DEFINED __TXT_TRACK_INFO__
  {
		#DEFINE __TXT_TRACK_INFO__
		INTEGER TXT_TRACK_INFO[]            =	// Text: Track info
		{
			28, 29
		}
	}
  #END_IF // __TXT_TRACK_INFO__

  #IF_NOT_DEFINED __TXT_TRACK_PROPERTIES__
  {
		#DEFINE __TXT_TRACK_PROPERTIES__
		INTEGER TXT_TRACK_PROPERTIES[]      =	// Text: Track property keys
		{
			131, 132, 133, 134, 135,
			136, 137, 138, 139, 140
		}
	}
  #END_IF // __TXT_TRACK_PROPERTIES__

  #IF_NOT_DEFINED __TXT_TRACK_VALUES__
  {
		#DEFINE __TXT_TRACK_VALUES__
		INTEGER TXT_TRACK_VALUES[]          =	// Text: Track property values
		{
			141, 142, 143, 144, 145,
			146, 147, 148, 149, 150
		}
	}
  #END_IF // __TXT_TRACK_VALUES__

  INTEGER TXT_MEDIADB_PROPERTIES[]      =	// Text: Media DB property keys
  {
    151, 152, 153, 154, 155,
    156, 157, 158, 159, 160
  }

  INTEGER TXT_MEDIADB_VALUES[]          =	// Text: Media DB property values
  {
    161, 162, 163, 164, 165,
    166, 167, 168, 169, 170
  }

  INTEGER TXT_MEDIADB_LIST[]            =	// Text: Media List
  {
    181, 182, 183, 184, 185,
    186, 187, 188, 189, 190
  }

  #IF_NOT_DEFINED __TXT_DECODE_PROPERTIES__
  {
		#DEFINE __TXT_DECODE_PROPERTIES__
		INTEGER TXT_DECODE_PROPERTIES[]     =	// Text: Media property keys
		{
			201, 202, 203, 204, 205,
			206, 207, 208, 209, 210
		}
	}
  #END_IF // __TXT_DECODE_PROPERTIES__

  #IF_NOT_DEFINED __TXT_DECODE_VALUES__
	{
		#DEFINE __TXT_DECODE_VALUES__
		INTEGER TXT_DECODE_VALUES[]         =	// Text: Media property values
		{
			211, 212, 213, 214, 215,
			216, 217, 218, 219, 220
		}
	}
  #END_IF // __TXT_DECODE_VALUES__

  #IF_NOT_DEFINED __TXT_ENCODE_PROPERTIES__
  {
		#DEFINE __TXT_ENCODE_PROPERTIES__
		INTEGER TXT_ENCODE_PROPERTIES[]     =	// Text: Media property keys
		{
			221, 222, 223, 224, 225,
			226, 227, 228, 229, 230
		}
	}
  #END_IF // __TXT_ENCODE_PROPERTIES__

  #IF_NOT_DEFINED __TXT_ENCODE_VALUES__
  {
		#DEFINE __TXT_ENCODE_VALUES__
		INTEGER TXT_ENCODE_VALUES[]         =	// Text: Media property values
		{
			231, 232, 233, 234, 235,
			236, 237, 238, 239, 240
		}
	}
  #END_IF // __TXT_ENCODE_VALUES__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |              Digital Satellite System : Channels/Variable Text               |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_PLUS_10                      =	20    // Press menu button plus_10 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_CHAN_UP                           =	22    // Go to next Station Preset (Momentary FB)
  BTN_CHAN_DN                           =	23    // Go to prev Station Preset (Momentary FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_PLUS_100                     =	97    // Press menu button plus_100 (Momentary FB)
  BTN_MENU_PLUS_1000                    =	98    // Press menu button plus_1000 (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_INFO                         =	101   // Press menu button info (Momentary FB)
  BTN_MENU_FAVORITES                    =	102   // Press menu button favorites (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_GUIDE                        =	105   // Press menu button guide (Momentary FB)
  BTN_MENU_PAGE_UP                      =	106   // Press menu button page up (Momentary FB)
  BTN_MENU_PAGE_DN                      =	107   // Press menu button page down (Momentary FB)
  BTN_MENU_HELP                         =	113   // Press menu button help (Momentary FB)
  BTN_TUNER_STATION_UP                  =	225   // Increment Channel (Momentary FB)
  BTN_TUNER_STATION_DN                  =	226   // Decrement Channel (Momentary FB)
  BTN_TUNER_PREV                        =	235   // Goto previous tuner station (Momentary FB)

  TXT_TUNER_STATION                     =	16    // Text: Station

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |               Digital Video Recorder : Channels/Variable Text                |
  |------------------------------------------------------------------------------|*/

  BTN_PLAY                              =	1     // Play (Channel FB)
  BTN_STOP                              =	2     // Stop (Channel FB)
  BTN_PAUSE                             =	3     // Pause (Channel FB)
  BTN_FFWD                              =	4     // Goto the next track (Momentary FB)
  BTN_REW                               =	5     // Goto the previous track (Momentary FB)
  BTN_SFWD                              =	6     // Scan forward (Channel FB)
  BTN_SREV                              =	7     // Scan reverse (Channel FB)
  BTN_RECORD                            =	8     // Record (Channel FB)
  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_PLUS_10                      =	20    // Press menu button plus_10 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_CHAN_UP                           =	22    // Go to next Station Preset (Momentary FB)
  BTN_CHAN_DN                           =	23    // Go to prev Station Preset (Momentary FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_THUMBS_DN                    =	58    // Press menu button thumbs down (Momentary FB)
  BTN_MENU_THUMBS_UP                    =	59    // Press menu button thumbs up (Momentary FB)
  BTN_MENU_LIVE_TV                      =	62    // Press menu button live TV (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_ADVANCE                      =	83    // Press menu button advance (Momentary FB)
  BTN_MENU_LIST                         =	86    // Press menu button list (Momentary FB)
  BTN_MENU_PLUS_100                     =	97    // Press menu button plus_100 (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_INFO                         =	101   // Press menu button info (Momentary FB)
  BTN_MENU_FAVORITES                    =	102   // Press menu button favorites (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_GUIDE                        =	105   // Press menu button guide (Momentary FB)
  BTN_MENU_PAGE_UP                      =	106   // Press menu button page up (Momentary FB)
  BTN_MENU_PAGE_DN                      =	107   // Press menu button page down (Momentary FB)
  BTN_MENU_HELP                         =	113   // Press menu button help (Momentary FB)
  BTN_FRAME_FWD                         =	185   // Frame forward (Momentary FB)
  BTN_FRAME_REV                         =	186   // Frame reverse (Momentary FB)
  BTN_SLOW_FWD                          =	188   // Slow forward (Channel FB)
  BTN_SLOW_REV                          =	189   // Slow reverse (Channel FB)
  BTN_SOURCE_CYCLE                      =	196   // Cycle input (Momentary FB)
  BTN_MENU_INSTANT_REPLAY               =	218   // Press menu button instant replay (Momentary FB)
  BTN_TUNER_STATION_UP                  =	225   // Increment Channel (Momentary FB)
  BTN_TUNER_STATION_DN                  =	226   // Decrement Channel (Momentary FB)
  BTN_TUNER_PREV                        =	235   // Goto previous tuner station (Momentary FB)

	#IF_NOT_DEFINED __BTN_INPUT_SOURCE__
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]      =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  TXT_SOURCE_INPUT                      =	15    // Text: Selected input
  TXT_TUNER_STATION                     =	16    // Text: Station

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                     Disc Device : Channels/Variable Text                     |
  |------------------------------------------------------------------------------|*/

  BTN_PLAY                              =	1     // Play (Channel FB)
  BTN_STOP                              =	2     // Stop (Channel FB)
  BTN_PAUSE                             =	3     // Pause (Channel FB)
  BTN_FFWD                              =	4     // Goto the next track (Momentary FB)
  BTN_REW                               =	5     // Goto the previous track (Momentary FB)
  BTN_SFWD                              =	6     // Scan forward (Channel FB)
  BTN_SREV                              =	7     // Scan reverse (Channel FB)
  BTN_RECORD                            =	8     // Record (Channel FB)
  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_PLUS_10                      =	20    // Press menu button plus_10 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_DISC_NEXT                         =	55    // Goto the next disc (Momentary FB)
  BTN_DISC_PREV                         =	56    // Goto the previous disc (Momentary FB)
  BTN_MENU_SETUP                        =	66    // Press menu button setup (Momentary FB)
  BTN_DISC_CHAPTER                      =	67    // Chapter (Momentary FB)
  BTN_DISC_DNR                          =	68    // DNR (Momentary FB)
  BTN_DISC_MEMORY                       =	69    // Memory (Momentary FB)
  BTN_DISC_MODE                         =	70    // Mode (Momentary FB)
  BTN_DISC_PLAY_MODE                    =	71    // Play Mode (Momentary FB)
  BTN_DISC_SEARCH_MODE                  =	72    // Search Mode (Momentary FB)
  BTN_DISC_TIME                         =	73    // Time (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_BACK                         =	81    // Press menu button back (Momentary FB)
  BTN_MENU_DIMMER                       =	84    // Press menu button dimmer (Momentary FB)
  BTN_MENU_PLUS_100                     =	97    // Press menu button plus_100 (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_SUBTITLE                     =	100   // Press menu button subtitle (Momentary FB)
  BTN_MENU_CONTINUE                     =	103   // Press menu button continue (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_AB_REPEAT                    =	112   // Press menu button AB repeat (Momentary FB)
  BTN_MENU_TITLE                        =	114   // Press menu button title (Momentary FB)
  BTN_MENU_TOP_MENU                     =	115   // Press menu button top menu (Momentary FB)
  BTN_MENU_ZOOM                         =	116   // Press menu button zoom (Momentary FB)
  BTN_MENU_ANGLE                        =	117   // Press menu button angle (Momentary FB)
  BTN_MENU_AUDIO                        =	118   // Press menu button audio (Momentary FB)
  BTN_DISC_TRAY                         =	120   // Open/Close disc tray (Momentary FB)
  BTN_DISC_RANDOM                       =	124   // Cycle Random (Momentary FB)
  BTN_DISC_REPEAT                       =	125   // Cycle Repeat (Momentary FB)
  BTN_FRAME_FWD                         =	185   // Frame forward (Momentary FB)
  BTN_FRAME_REV                         =	186   // Frame reverse (Momentary FB)
  BTN_SLOW_FWD                          =	188   // Slow forward (Channel FB)
  BTN_SLOW_REV                          =	189   // Slow reverse (Channel FB)
  BTN_SCAN_SPEED                        =	192   // Cycle the scanning speed (Momentary FB)
  BTN_MENU_RESET                        =	215   // Press menu button reset (Momentary FB)

  INTEGER BTN_DISC_LIST[]               =	// Group: Disc Select (Momentary FB)
  {
    341, 342, 343, 344, 345,
    346, 347, 348, 349, 350,
    351, 352, 353, 354, 355,
    356, 357, 358, 359, 360
  }

  TXT_DISC_COUNTER                      =	9     // Text: Title Counter
  TXT_DISC_TRACK_COUNTER                =	10    // Text: Track Counter

  INTEGER TXT_DISC_INFO[]               =	// Text: Disc Info: Disc Number, Duration, # of Titles, # of Tracks, Disc Type
  {
    1, 2, 3, 4, 5
  }

  INTEGER TXT_TITLE_INFO[]              =	// Text: Title Info: Title Number, Duration, # of Tracks
  {
    6, 7, 8
  }

  #IF_NOT_DEFINED TXT_TRACK_INFO
  #DEFINE INTEGER TXT_TRACK_INFO[]              =	// Text: Track info
  {
    28, 29
  }
  #END_IF // TXT_TRACK_INFO

  #IF_NOT_DEFINED TXT_TRACK_PROPERTIES
  #DEFINE INTEGER TXT_TRACK_PROPERTIES[]        =	// Text: Track property keys
  {
    131, 132, 133, 134, 135,
    136, 137, 138, 139, 140
  }
  #END_IF // TXT_TRACK_PROPERTIES

  #IF_NOT_DEFINED TXT_TRACK_VALUES
  #DEFINE INTEGER TXT_TRACK_VALUES[]            =	// Text: Track property values
  {
    141, 142, 143, 144, 145,
    146, 147, 148, 149, 150
  }
  #END_IF // TXT_TRACK_VALUES

  INTEGER TXT_DISC_PROPERTIES[]         =	// Text: Disc property keys
  {
    201, 202, 203, 204, 205,
    206, 207, 208, 209, 210
  }

  INTEGER TXT_DISC_VALUES[]             =	// Text: Disc property values
  {
    211, 212, 213, 214, 215,
    216, 217, 218, 219, 220
  }

  INTEGER TXT_DISC_TITLE_PROPERTIES[]   =	// Text: Title property keys
  {
    221, 222, 223, 224, 225,
    226, 227, 228, 229, 230
  }

  INTEGER TXT_DISC_TITLE_VALUES[]       =	// Text: Title property values
  {
    231, 232, 233, 234, 235,
    236, 237, 238, 239, 240
  }

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                   Display : Channels/Levels/Variable Text                    |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_PLUS_10                      =	20    // Press menu button plus_10 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_CHAN_UP                           =	22    // Go to next Station Preset (Momentary FB)
  BTN_CHAN_DN                           =	23    // Go to prev Station Preset (Momentary FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_VIDEO                        =	57    // Press menu button video (Momentary FB)
  BTN_MENU_SLEEP                        =	63    // Press menu button sleep (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_DOT                          =	92    // Press menu button dot (Momentary FB)
  BTN_MENU_PLUS_100                     =	97    // Press menu button plus_100 (Momentary FB)
  BTN_MENU_PLUS_1000                    =	98    // Press menu button plus_1000 (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_INFO                         =	101   // Press menu button info (Momentary FB)
  BTN_MENU_FAVORITES                    =	102   // Press menu button favorites (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_GUIDE                        =	105   // Press menu button guide (Momentary FB)
  BTN_MENU_PAGE_UP                      =	106   // Press menu button page up (Momentary FB)
  BTN_MENU_PAGE_DN                      =	107   // Press menu button page down (Momentary FB)
  BTN_MENU_HELP                         =	113   // Press menu button help (Momentary FB)
  BTN_MENU_AUDIO                        =	118   // Press menu button audio (Momentary FB)
  BTN_ASPECT_RATIO                      =	142   // Aspect Ratio (Momentary FB)
  BTN_BRIGHT_UP                         =	148   // Increment brightness (Momentary FB)
  BTN_BRIGHT_DN                         =	149   // Decrement brightness (Momentary FB)
  BTN_COLOR_UP                          =	150   // Increment color (Momentary FB)
  BTN_COLOR_DN                          =	151   // Decrement color (Momentary FB)
  BTN_CONTRAST_UP                       =	152   // Increment contrast (Momentary FB)
  BTN_CONTRAST_DN                       =	153   // Decrement contrast (Momentary FB)
  BTN_SHARP_UP                          =	154   // Increment sharpness (Momentary FB)
  BTN_SHARP_DN                          =	155   // Decrement sharpness (Momentary FB)
  BTN_TINT_UP                           =	156   // Increment tint (Momentary FB)
  BTN_TINT_DN                           =	157   // Decrement tint (Momentary FB)
  BTN_PIP_POS                           =	191   // Cycle pip position (Momentary FB)
  BTN_PIP_SWAP                          =	193   // Swap pip (Momentary FB)
  BTN_PIP                               =	194   // Cycle pip (Channel FB)
  BTN_SOURCE_CYCLE                      =	196   // Cycle input (Momentary FB)
  BTN_PIC_MUTE                          =	210   // Cycle picture/video mute (Channel FB)
  BTN_PIC_FREEZE                        =	213   // Cycle freeze (Channel FB)
  BTN_MENU_RESET                        =	215   // Press menu button reset (Momentary FB)
  BTN_TUNER_STATION_UP                  =	225   // Increment Channel (Momentary FB)
  BTN_TUNER_STATION_DN                  =	226   // Decrement Channel (Momentary FB)
  BTN_TUNER_PREV                        =	235   // Goto previous tuner station (Momentary FB)

  BTN_LAMP_WARMING_FB                   =	253   // Feedback ButtON:Lamp Warming FB (Channel FB)

  BTN_LAMP_COOLING_FB                   =	254   // Feedback ButtON:Lamp Cooling FB (Channel FB)

  BTN_LAMP_POWER_FB                     =	255   // Feedback ButtON:Lamp Power FB (Channel FB)
  BTN_VOL_PRESET_SAVE                   =	376   // Save Volume preset (Channel FB)

  #IF_NOT_DEFINED __BTN_VPROJ_PRESET__
		#DEFINE __BTN_VPROJ_PRESET__
		INTEGER BTN_VPROJ_PRESET[]            =	// Group: Recall Video Projector preset (Channel FB)
		{
			261, 262, 263, 264, 265,
			266, 267, 268, 269, 270,
			271, 272, 273, 274, 275,
			276, 277, 278, 279, 280
		}
  #END_IF // __BTN_VPROJ_PRESET__

	#IF_NOT_DEFINED __BTN_INPUT_SOURCE__
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]      =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  LVL_VOL                               =	1     // Level: Volume level (0-255)
  LVL_BRIGHT                            =	10    // Level: Brightness level (0-255)
  LVL_COLOR                             =	11    // Level: Color level (0-255)
  LVL_CONTRAST                          =	12    // Level: Contrast level (0-255)
  LVL_SHARP                             =	13    // Level: Sharpness level (0-255)
  LVL_TINT                              =	14    // Level: Tint level (0-255)

  TXT_LAMP_COOLDOWN                     =	12    // Text: Cooldown counter
  TXT_LAMP_WARMUP                       =	13    // Text: Warmup counter
  TXT_LAMP_HOURS                        =	14    // Text: Lamp hours
  TXT_SOURCE_INPUT                      =	15    // Text: Selected input
  TXT_TUNER_STATION                     =	16    // Text: Station
  TXT_ASPECT_RATIO                      =	27    // Text: Aspect Ratio

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
	{
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
  {
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                   Document Camera : Channels/Variable Text                   |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_ZOOM_OUT                          =	158   // Ramp zoom out (Channel FB)
  BTN_ZOOM_IN                           =	159   // Ramp zoom in (Channel FB)
  BTN_FOCUS_NEAR                        =	160   // Ramp focus near (Channel FB)
  BTN_FOCUS_FAR                         =	161   // Ramp focus far (Channel FB)
  BTN_AUTO_FOCUS                        =	172   // Cycle auto focus (Channel FB)
  BTN_AUTO_IRIS                         =	173   // Cycle auto iris (Channel FB)
  BTN_IRIS_OPEN                         =	174   // Ramp iris open (Channel FB)
  BTN_IRIS_CLOSE                        =	175   // Ramp iris closed (Channel FB)
  BTN_DOCCAM_LIGHT                      =	176   // Cycle light (Channel FB)
  BTN_SOURCE_CYCLE                      =	196   // Cycle input (Momentary FB)

	#IF_NOT_DEFINED __BTN_INPUT_SOURCE__
  {
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
	{
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]      =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  TXT_SOURCE_INPUT                      =	15    // Text: Selected input

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
	{
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
  {
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                        HVAC : Channels/Variable Text                         |
  |------------------------------------------------------------------------------|*/

  BTN_HVAC_COOL_UP                      =	140   // Increment cooling set point (Momentary FB)
  BTN_HVAC_COOL_DN                      =	141   // Decrement cooling set point (Momentary FB)
  BTN_HVAC_HEAT_UP                      =	143   // Increment heating set point (Momentary FB)
  BTN_HVAC_HEAT_DN                      =	144   // Decrement heating set point (Momentary FB)
  BTN_HVAC_HUMIDIFY_UP                  =	148   // Increment humidifier set point (Momentary FB)
  BTN_HVAC_HUMIDIFY_DN                  =	149   // Decrement humidifier set point (Momentary FB)
  BTN_HVAC_DEHUMIDIFY_UP                =	150   // Increment dehumidifier set point (Momentary FB)
  BTN_HVAC_DEHUMIDIFY_DN                =	151   // Decrement dehumidifier set point (Momentary FB)
  BTN_HVAC_UNITS                        =	209   // Off is fahrenheit, on is celsius (Channel FB)
  BTN_HVAC_FAN                          =	213   // HVAC Fan Status (On/Auto) (Channel FB)

  BTN_HVAC_FAN_STATUS                   =	216   // Feedback ButtON:Fan status state feedback (Channel FB)
  BTN_HVAC_HUMIDIFY_STATE               =	217   // Cycle Humidify State/Mode (Momentary FB)
  BTN_HVAC_STATE                        =	218   // Cycle HVAC State/Mode (Momentary FB)

  TXT_HVAC_STATE                        =	21    // Text: HVAC State/Mode (Auto, Cool, Heat...)
  TXT_HVAC_STATUS                       =	22    // Text: HVAC Status (Off, Heating, Cooling...)
  TXT_HVAC_HUMID_STATE                  =	23    // Text: HVAC Humidstat State/Mode (Auto, Humidify, Dehumidify...)
  TXT_HVAC_HUMID_STATUS                 =	24    // Text: HVAC Humidstat Status (Off, Humidifing, Dehumidifing...)
  TXT_HVAC_COOL                         =	31    // Text: Cooling set point, range is n..m degrees F or C
  TXT_HVAC_HEAT                         =	32    // Text: Heating set point, range is n..m degrees F or C
  TXT_HVAC_TEMP                         =	33    // Text: Indoor temperature, range is n..m degrees F or C
  TXT_HVAC_OUTDOOR_TEMP                 =	34    // Text: Outdoor temperature, range is n..m degrees F or C
  TXT_HVAC_HUMID                        =	35    // Text: Indoor humidity, range is 0..100 percent
  TXT_HVAC_OUTDOOR_HUMID                =	36    // Text: Outdoor humidity, range is 0..100 percent
  TXT_HVAC_HUMIDIFY                     =	37    // Text: Humidifier set point, range is 0..100 percent
  TXT_HVAC_DEHUMIDIFY                   =	38    // Text: Dehumidifier set point, range is 0..100 percent

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                             IO Device : Channels                             |
  |------------------------------------------------------------------------------|*/

  INTEGER BTN_IO_STATE[]                =	// Group: I/O Channel Control and FB (Channel FB)
  {
    1, 2, 3, 4, 5,
    6, 7, 8, 9, 10,
    11, 12, 13, 14, 15,
    16, 17, 18, 19, 20
  }

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                              Keypad : Channels                               |
  |------------------------------------------------------------------------------|*/

  #IF_NOT_DEFINED __BTN_KEYPAD_BUTTON__
		#DEFINE __BTN_KEYPAD_BUTTON__
		INTEGER BTN_KEYPAD_BUTTON[]         =	// Group: Toggle keypad button (Channel FB)
		{
			1, 2, 3, 4, 5,
			6, 7, 8, 9, 10,
			11, 12, 13, 14, 15,
			16, 17, 18, 19, 20
		}
  #END_IF // BTN_KEYPAD_BUTTON

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                    Light : Channels/Levels/Variable Text                     |
  |------------------------------------------------------------------------------|*/

  BTN_LIGHT_RAMP_UP                     =	24    // Ramp down light level (Momentary FB)
  BTN_LIGHT_RAMP_DN                     =	25    // Ramp up light level (Momentary FB)
  BTN_LIGHT_ELEMENT_1                   =	261   // Toggle Light Element 1 (Channel FB)
  BTN_LIGHT_ELEMENT_2                   =	262   // Toggle Light Element 2 (Channel FB)
  BTN_LIGHT_ELEMENT_3                   =	263   // Toggle Light Element 3 (Channel FB)
  BTN_LIGHT_ELEMENT_4                   =	264   // Toggle Light Element 4 (Channel FB)
  BTN_LIGHT_ELEMENT_5                   =	265   // Toggle Light Element 5 (Channel FB)
  BTN_LIGHT_ELEMENT_6                   =	266   // Toggle Light Element 6 (Channel FB)
  BTN_LIGHT_ELEMENT_7                   =	267   // Toggle Light Element 7 (Channel FB)
  BTN_LIGHT_ELEMENT_8                   =	268   // Toggle Light Element 8 (Channel FB)
  BTN_LIGHT_ELEMENT_9                   =	269   // Toggle Light Element 9 (Channel FB)
  BTN_LIGHT_ELEMENT_10                  =	270   // Toggle Light Element 10 (Channel FB)
  BTN_LIGHT_ELEMENT_11                  =	271   // Toggle Light Element 11 (Channel FB)
  BTN_LIGHT_ELEMENT_12                  =	272   // Toggle Light Element 12 (Channel FB)
  BTN_LIGHT_ELEMENT_13                  =	273   // Toggle Light Element 13 (Channel FB)
  BTN_LIGHT_ELEMENT_14                  =	274   // Toggle Light Element 14 (Channel FB)
  BTN_LIGHT_ELEMENT_15                  =	275   // Toggle Light Element 15 (Channel FB)
  BTN_LIGHT_ELEMENT_16                  =	276   // Toggle Light Element 16 (Channel FB)
  BTN_LIGHT_ELEMENT_17                  =	277   // Toggle Light Element 17 (Channel FB)
  BTN_LIGHT_ELEMENT_18                  =	278   // Toggle Light Element 18 (Channel FB)
  BTN_LIGHT_ELEMENT_19                  =	279   // Toggle Light Element 19 (Channel FB)
  BTN_LIGHT_ELEMENT_20                  =	280   // Toggle Light Element 20 (Channel FB)

  INTEGER BTN_LIGHT_ELEMENT[]           =	// Group: Toggle lighting element (Channel FB)
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

  LVL_LIGHT_LEVEL_X                     =	1     // Level: Lighting levels (X)
  LVL_LIGHT_LEVEL_Y                     =	20    // Level: Lighting levels (y)

  INTEGER TXT_LIGHT_ELEMENT_NAME[]      =	// Text: Lighting element names
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                 LightSystem : Channels/Levels/Variable Text                  |
  |------------------------------------------------------------------------------|*/

  BTN_LIGHTSYS_RAMP_UP                  =	24    // Ramp down light level (Momentary FB)
  BTN_LIGHTSYS_RAMP_DN                  =	25    // Ramp up light level (Momentary FB)
  BTN_LIGHTSYS_ELEMENT_1                =	261   // Toggle Light Element 1 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_2                =	262   // Toggle Light Element 2 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_3                =	263   // Toggle Light Element 3 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_4                =	264   // Toggle Light Element 4 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_5                =	265   // Toggle Light Element 5 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_6                =	266   // Toggle Light Element 6 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_7                =	267   // Toggle Light Element 7 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_8                =	268   // Toggle Light Element 8 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_9                =	269   // Toggle Light Element 9 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_10               =	270   // Toggle Light Element 10 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_11               =	271   // Toggle Light Element 11 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_12               =	272   // Toggle Light Element 12 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_13               =	273   // Toggle Light Element 13 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_14               =	274   // Toggle Light Element 14 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_15               =	275   // Toggle Light Element 15 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_16               =	276   // Toggle Light Element 16 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_17               =	277   // Toggle Light Element 17 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_18               =	278   // Toggle Light Element 18 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_19               =	279   // Toggle Light Element 19 (Channel FB)
  BTN_LIGHTSYS_ELEMENT_20               =	280   // Toggle Light Element 20 (Channel FB)

  INTEGER BTN_LIGHTSYS_ELEMENT[]        =	// Group: Toggle lighting preset (Channel FB)
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

  LVL_LIGHTSYS_LEVEL_X                  =	1     // Level: Lighting levels (X)
  LVL_LIGHTSYS_LEVEL_Y                  =	20    // Level: Lighting levels (y)

  INTEGER TXT_LIGHTSYS_ELEMENT_NAME[]   =	// Text: Lighting element names
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                   Monitor : Channels/Levels/Variable Text                    |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_AUDIO                        =	118   // Press menu button audio (Momentary FB)
  BTN_ASPECT_RATIO                      =	142   // Aspect Ratio (Momentary FB)
  BTN_BRIGHT_UP                         =	148   // Increment brightness (Momentary FB)
  BTN_BRIGHT_DN                         =	149   // Decrement brightness (Momentary FB)
  BTN_COLOR_UP                          =	150   // Increment color (Momentary FB)
  BTN_COLOR_DN                          =	151   // Decrement color (Momentary FB)
  BTN_CONTRAST_UP                       =	152   // Increment contrast (Momentary FB)
  BTN_CONTRAST_DN                       =	153   // Decrement contrast (Momentary FB)
  BTN_SHARP_UP                          =	154   // Increment sharpness (Momentary FB)
  BTN_SHARP_DN                          =	155   // Decrement sharpness (Momentary FB)
  BTN_TINT_UP                           =	156   // Increment tint (Momentary FB)
  BTN_TINT_DN                           =	157   // Decrement tint (Momentary FB)
  BTN_PIP_POS                           =	191   // Cycle pip position (Momentary FB)
  BTN_PIP_SWAP                          =	193   // Swap pip (Momentary FB)
  BTN_PIP                               =	194   // Cycle pip (Channel FB)
  BTN_SOURCE_CYCLE                      =	196   // Cycle input (Momentary FB)
  BTN_PIC_MUTE                          =	210   // Cycle picture/video mute (Channel FB)
  BTN_PIC_FREEZE                        =	213   // Cycle freeze (Channel FB)
  BTN_MENU_RESET                        =	215   // Press menu button reset (Momentary FB)
  BTN_VOL_PRESET_SAVE                   =	376   // Save Volume preset (Channel FB)

	#IF_NOT_DEFINED __BTN_INPUT_SOURCE__
  {
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
	{
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]      =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  LVL_VOL                               =	1     // Level: Volume level (0-255)
  LVL_BRIGHT                            =	10    // Level: Brightness level (0-255)
  LVL_COLOR                             =	11    // Level: Color level (0-255)
  LVL_CONTRAST                          =	12    // Level: Contrast level (0-255)
  LVL_SHARP                             =	13    // Level: Sharpness level (0-255)
  LVL_TINT                              =	14    // Level: Tint level (0-255)

  TXT_SOURCE_INPUT                      =	15    // Text: Selected input
  TXT_ASPECT_RATIO                      =	27    // Text: Aspect Ratio

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
	{
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
  {
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                               Motor : Channels                               |
  |------------------------------------------------------------------------------|*/

  BTN_MOTOR_STOP                        =	2     // Motor stop (Channel FB)
  BTN_MOTOR_OPEN                        =	4     // Motor open (Channel FB)
  BTN_MOTOR_CLOSE                       =	5     // Motor close (Channel FB)

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                        Multi Window : Channels/Levels                        |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_PAN_UP                            =	132   // Pan up (Momentary FB)
  BTN_PAN_DN                            =	133   // Pan down (Momentary FB)
  BTN_PAN_LT                            =	134   // Pan left (Momentary FB)
  BTN_PAN_RT                            =	135   // Pan right (Momentary FB)
  BTN_BRIGHT_UP                         =	148   // Increment brightness (Momentary FB)
  BTN_BRIGHT_DN                         =	149   // Decrement brightness (Momentary FB)
  BTN_COLOR_UP                          =	150   // Increment color (Momentary FB)
  BTN_COLOR_DN                          =	151   // Decrement color (Momentary FB)
  BTN_CONTRAST_UP                       =	152   // Increment contrast (Momentary FB)
  BTN_CONTRAST_DN                       =	153   // Decrement contrast (Momentary FB)
  BTN_SHARP_UP                          =	154   // Increment sharpness (Momentary FB)
  BTN_SHARP_DN                          =	155   // Decrement sharpness (Momentary FB)
  BTN_TINT_UP                           =	156   // Increment tint (Momentary FB)
  BTN_TINT_DN                           =	157   // Decrement tint (Momentary FB)
  BTN_ZOOM_OUT                          =	158   // Zoom out (Momentary FB)
  BTN_ZOOM_IN                           =	159   // Zoom in (Momentary FB)
  BTN_PIC_MUTE                          =	210   // Cycle picture/video mute (Channel FB)
  BTN_PIC_FREEZE                        =	213   // Cycle freeze (Channel FB)
  BTN_WINDOW_FRONT                      =	230   // Bring window to front (Momentary FB)
  BTN_WINDOW_BACK                       =	231   // Send window to back (Momentary FB)
  BTN_WINDOW_FORWARD  = 232   // Shift Window up (Momentary FB)
  BTN_WINDOW_BACKWARD                   =	233   // Shift Window down (Momentary FB)
  BTN_MULTIWIN_PRESET_SAVE              =	260   // Save Multi Window preset (Channel FB)

  INTEGER BTN_MULTIWIN_PRESET[]         =	// Group: Recall Multi Window preset (Channel FB)
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

  #IF_NOT_DEFINED __BTN_WINDOW_INPUT__
		#DEFINE __BTN_WINDOW_INPUT__
		INTEGER BTN_WINDOW_INPUT[]          =	// Group: Input Select (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_WINDOW_INPUT__

  LVL_BRIGHT                            =	10    // Level: Brightness level (0-255)
  LVL_COLOR                             =	11    // Level: Color level (0-255)
  LVL_CONTRAST                          =	12    // Level: Contrast level (0-255)
  LVL_SHARP                             =	13    // Level: Sharpness level (0-255)
  LVL_TINT                              =	14    // Level: Tint level (0-255)

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                      Pool Spa : Channels/Variable Text                       |
  |------------------------------------------------------------------------------|*/

  BTN_POOL_HEAT                         =	123   // Cycle pool heat state (Momentary FB)
  BTN_SPA_HEAT                          =	124   // Cycle spa heat state (Momentary FB)
  BTN_SPA_JETS                          =	125   // Cycle spa jets (Momentary FB)
  BTN_POOL_HEAT_UP                      =	152   // Increment pool setpoint (Momentary FB)
  BTN_POOL_HEAT_DN                      =	153   // Decrement pool setpoint (Momentary FB)
  BTN_SPA_HEAT_UP                       =	154   // Increment spa setpoint (Momentary FB)
  BTN_SPA_HEAT_DN                       =	155   // Decrement spa setpoint (Momentary FB)
  BTN_POOL_PUMP_ON                      =	170   // Set pool pump state on or off (Channel FB)
  BTN_SPA_PUMP_ON                       =	171   // Set spa pump state on or off (Channel FB)
  BTN_POOL_LIGHT_ON                     =	172   // Set pool lights on or off (Channel FB)
  BTN_SPA_LIGHT_ON                      =	173   // Set spa lights on or off (Channel FB)
  BTN_SPA_BLOWER_ON                     =	186   // Set spa blower on or off (Channel FB)
  BTN_POOL_UNITS                        =	209   // Off is fahrenheit, on is celsius (Channel FB)

  INTEGER BTN_POOL_AUX[]                =	// Group: Cycle Pool/Spa Aux (Channel FB)
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

  TXT_OUTDOOR_TEMP                      =	34    // Text: Pool/Spa outdoor temperature, range is n..m degrees F or C
  TXT_POOL_SETPOINT                     =	39    // Text: Pool heating set point, range is n..m degrees F or C
  TXT_SPA_SETPOINT                      =	40    // Text: Spa heating set point, range is n..m degrees F or C
  TXT_POOL_TEMP                         =	41    // Text: Pool water temperature, range is n..m degrees F or C
  TXT_SPA_TEMP                          =	42    // Text: Spa water temperature, range is n..m degrees F or C
  TXT_POOL_HEATER                       =	123   // Text: Pool Heater State (Off, Heat, Solar...)
  TXT_SPA_HEATER                        =	124   // Text: Spa Heater State (Off, Heat, Solar...)
  TXT_SPA_JETS                          =	125   // Text: Spa Jets Status
  TXT_POOL_HEATING                      =	126   // Text: Pool Heating Status
  TXT_SPA_HEATING                       =	127   // Text: Spa Heating Status

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |       Pre Amp Surround Sound Processor : Channels/Levels/Variable Text       |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_BALANCE_UP                        =	164   // Increment balance (Momentary FB)
  BTN_BALANCE_DN                        =	165   // Decrement balance (Momentary FB)
  BTN_BASS_UP                           =	166   // Increment bass (Momentary FB)
  BTN_BASS_DN                           =	167   // Decrement bass (Momentary FB)
  BTN_TREBLE_UP                         =	168   // Increment treble  (Momentary FB)
  BTN_TREBLE_DN                         =	169   // Decrement treble (Momentary FB)
  BTN_SURROUND_NEXT                     =	170   // Next surround sound mode (Momentary FB)
  BTN_SURROUND_PREV                     =	171   // Previous surround sound mode (Momentary FB)
  BTN_SOURCE_CYCLE                      =	196   // Cycle input (Momentary FB)
  BTN_LOUDNESS                          =	206   // Cycle loudness (Channel FB)
  BTN_VOL_PRESET_SAVE                   =	376   // Save Volume preset (Channel FB)

	#IF_NOT_DEFINED __BTN_INPUT_SOURCE__
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]    =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  #IF_NOT_DEFINED __BTN_VOL_PRESET__
		#DEFINE __BTN_VOL_PRESET__
		INTEGER BTN_VOL_PRESET[]            =	// Group: Recall Volume preset (Channel FB)
		{
			371, 372, 373, 374, 375
		}
  #END_IF // __BTN_VOL_PRESET__

  LVL_VOL                               =	1     // Level: Volume level (0-255)
  LVL_BALANCE                           =	2     // Level: Balance level (0=left, 255=right)
  LVL_BASS                              =	3     // Level: Bass level (0-255)
  LVL_TREBLE                            =	4     // Level: Treble level (0-255)

  TXT_SOURCE_INPUT                      =	15    // Text: Selected input

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                   Receiver : Channels/Levels/Variable Text                   |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_PLUS_10                      =	20    // Press menu button plus_10 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_CHAN_UP                           =	22    // Go to next Station Preset (Momentary FB)
  BTN_CHAN_DN                           =	23    // Go to prev Station Preset (Momentary FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_TUNER_BAND                        =	40    // Cycle tuner band  (Momentary FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_XM                           =	77    // Press menu button xm (Momentary FB)
  BTN_MENU_FM                           =	78    // Press menu button fm (Momentary FB)
  BTN_MENU_AM                           =	79    // Press menu button am (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_DIMMER                       =	84    // Press menu button dimmer (Momentary FB)
  BTN_MENU_DOT                          =	92    // Press menu button dot (Momentary FB)
  BTN_MENU_PLUS_100                     =	97    // Press menu button plus_100 (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_AUDIO                        =	118   // Press menu button audio (Momentary FB)
  BTN_BALANCE_UP                        =	164   // Increment balance (Momentary FB)
  BTN_BALANCE_DN                        =	165   // Decrement balance (Momentary FB)
  BTN_BASS_UP                           =	166   // Increment bass (Momentary FB)
  BTN_BASS_DN                           =	167   // Decrement bass (Momentary FB)
  BTN_TREBLE_UP                         =	168   // Increment treble  (Momentary FB)
  BTN_TREBLE_DN                         =	169   // Decrement treble (Momentary FB)
  BTN_SURROUND_NEXT                     =	170   // Next surround sound mode (Momentary FB)
  BTN_SURROUND_PREV                     =	171   // Previous surround sound mode (Momentary FB)
  BTN_SOURCE_CYCLE                      =	196   // Cycle input (Momentary FB)
  BTN_LOUDNESS                          =	206   // Cycle loudness (Channel FB)
  BTN_TUNER_PRESET_GROUP                =	224   // Cycle station preset group (Momentary FB)
  BTN_TUNER_STATION_UP                  =	225   // Increment Channel (Momentary FB)
  BTN_TUNER_STATION_DN                  =	226   // Decrement Channel (Momentary FB)
  BTN_TUNER_SCAN_FWD                    =	227   // Station scan forward (Momentary FB)
  BTN_TUNER_SCAN_REV                    =	228   // Station scan backward/reverse (Momentary FB)
  BTN_TUNER_SEEK_FWD                    =	229   // Station seek forward (Momentary FB)
  BTN_TUNER_SEEK_REV                    =	230   // Station seek backward/reverse (Momentary FB)
  BTN_TUNER_PREV                        =	235   // Goto previous tuner station (Momentary FB)
  BTN_VOL_PRESET_SAVE                   =	376   // Save Volume preset (Channel FB)

	#IF_NOT_DEFINED __BTN_INPUT_SOURCE__
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]    =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  #IF_NOT_DEFINED __BTN_VOL_PRESET__
		#DEFINE __BTN_VOL_PRESET__
		INTEGER BTN_VOL_PRESET[]            =	// Group: Recall Volume preset (Channel FB)
		{
			371, 372, 373, 374, 375
		}
  #END_IF // __BTN_VOL_PRESET__

  LVL_VOL                               =	1     // Level: Volume level (0-255)
  LVL_BALANCE                           =	2     // Level: Balance level (0=left, 255=right)
  LVL_BASS                              =	3     // Level: Bass level (0-255)
  LVL_TREBLE                            =	4     // Level: Treble level (0-255)

  TXT_SOURCE_INPUT                      =	15    // Text: Selected input
  TXT_TUNER_STATION                     =	16    // Text: Station
  TXT_TUNER_BAND                        =	17    // Text: Tuner Band

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                           Relay Device : Channels                            |
  |------------------------------------------------------------------------------|*/

  INTEGER BTN_RELAY_STATE[]             =	// Group: Relay Channel Control and FB (Channel FB)
  {
    1, 2, 3, 4, 5,
    6, 7, 8, 9, 10,
    11, 12, 13, 14, 15,
    16, 17, 18, 19, 20
  }

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                   Security System : Channels/Variable Text                   |
  |------------------------------------------------------------------------------|*/

  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_SEC_ARM                           =	130   // Arm away (Momentary FB)
  BTN_SEC_ARM_HOME                      =	131   // Arm home (Momentary FB)
  BTN_SEC_DISARM                        =	132   // Disarm (Momentary FB)
  BTN_SEC_PANIC                         =	134   // Panic (Momentary FB)
  BTN_SEC_POLICE                        =	135   // Police (Momentary FB)
  BTN_SEC_FIRE                          =	136   // Fire (Momentary FB)
  BTN_SEC_MEDICAL                       =	137   // Medical (Momentary FB)
  BTN_SEC_ARM_NOW                       =	139   // Arm Now (Momentary FB)
  BTN_SEC_ARM_HOME_NOW                  =	140   // Arm Home Now (Momentary FB)
  BTN_SEC_PT_ACTIVE                     =	141   // Press to enter point to be un-bypassed (Blink FB)
  BTN_SEC_PT_BYPASS                     =	142   // Press to enter point to be bypassed (Blink FB)

  TXT_SEC_STATUS                        =	18    // Text: Security system status
  TXT_SEC_PASSWORD                      =	25    // Text: Password

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                  Settop Box : Channels/Levels/Variable Text                  |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_CHAN_UP                           =	22    // Go to next Station Preset (Momentary FB)
  BTN_CHAN_DN                           =	23    // Go to prev Station Preset (Momentary FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)

  BTN_CABLE_AB                          =	42    // Cycle AB SWITCH(Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_PPV                          =	64    // Press menu button PPV (Momentary FB)
  BTN_MENU_FUNCTION                     =	65    // Press menu button function (Momentary FB)
  BTN_CABLE_PC                          =	67    // Parental Control (Momentary FB)
  BTN_CABLE_TIMER                       =	68    // Timer (Momentary FB)
  BTN_CABLE_CLOCK                       =	69    // Clock (Momentary FB)
  BTN_CABLE_ALT                         =	70    // Alt (Momentary FB)
  BTN_CABLE_IPPV                        =	71    // IPPV (Momentary FB)
  BTN_CABLE_CREDIT                      =	72    // Credit (Momentary FB)
  BTN_CABLE_SCAN                        =	73    // Scan (Momentary FB)
  BTN_CABLE_CE                          =	74    // CA (Momentary FB)
  BTN_CABLE_BUY                         =	75    // Code (Momentary FB)
  BTN_CABLE_DCR                         =	76    // DCR (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_ASTERISK                     =	91    // Press menu button asterisk (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_INFO                         =	101   // Press menu button info (Momentary FB)
  BTN_MENU_FAVORITES                    =	102   // Press menu button favorites (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_GUIDE                        =	105   // Press menu button guide (Momentary FB)
  BTN_MENU_PAGE_UP                      =	106   // Press menu button page up (Momentary FB)
  BTN_MENU_PAGE_DN                      =	107   // Press menu button page down (Momentary FB)
  BTN_MENU_PROGRAM                      =	111   // Press menu button program (Momentary FB)
  BTN_TUNER_STATION_UP                  =	225   // Increment Channel (Momentary FB)
  BTN_TUNER_STATION_DN                  =	226   // Decrement Channel (Momentary FB)
  BTN_TUNER_PREV                        =	235   // Goto previous tuner station (Momentary FB)

  LVL_VOL                               =	1     // Level: Volume level (0-255)

  TXT_TUNER_STATION                     =	16    // Text: Station

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                   Slide Projector : Channels/Variable Text                   |
  |------------------------------------------------------------------------------|*/

  BTN_SLIDE_NEXT                        =	4     // Goto next slide (Momentary FB)
  BTN_SLIDE_PREV                        =	5     // Goto previous slide (Momentary FB)
  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_FOCUS_NEAR                        =	160   // Ramp focus near (Channel FB)
  BTN_FOCUS_FAR                         =	161   // Ramp focus far (Channel FB)

  BTN_LAMP_WARMING_FB                   =	253   // Feedback ButtON:Lamp Warming FB (Channel FB)

  BTN_LAMP_COOLING_FB                   =	254   // Feedback ButtON:Lamp Cooling FB (Channel FB)

  BTN_LAMP_POWER_FB                     =	255   // Feedback ButtON:Lamp Power FB (Channel FB)

  TXT_LAMP_COOLDOWN                     =	12    // Text: Cooldown counter
  TXT_LAMP_WARMUP                       =	13    // Text: Warmup counter
  TXT_LAMP_HOURS                        =	14    // Text: Lamp hours

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                          SWITCHer : Channels/Levels                          |
  |------------------------------------------------------------------------------|*/

  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_GAIN_UP                           =	140   // Ramp gain up (Channel FB)
  BTN_GAIN_DN                           =	141   // Ramp gain down (Channel FB)
  BTN_GAIN_MUTE                         =	144   // Cycle gain mute (Channel FB)

  BTN_SWT_TAKE                          =	257   // Take SWITCH(Momentary FB)
  BTN_SWT_PRESET_SAVE                   =	260   // Save SWITCHer preset (Channel FB)
  BTN_SWT_LEVEL_ALL                     =	321   // SWITCH all levels (Channel FB)
  BTN_SWT_LEVEL_VIDEO                   =	322   // SWITCH video level (Channel FB)
  BTN_SWT_LEVEL_AUDIO                   =	323   // SWITCH audio level (Channel FB)
  BTN_VOL_PRESET_SAVE                   =	376   // Save Volume preset (Channel FB)

  INTEGER BTN_SWT_PRESET[]              =	// Group: Recall SWITCHer preset (Channel FB)
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

  INTEGER BTN_SWT_INPUT[]               =	// Group: Input for SWITCH(Channel FB)
  {
    281, 282, 283, 284, 285,
    286, 287, 288, 289, 290,
    291, 292, 293, 294, 295,
    296, 297, 298, 299, 300
  }

  INTEGER BTN_SWT_OUTPUT[]              =	// Group: Output for SWITCH(Channel FB)
  {
    301, 302, 303, 304, 305,
    306, 307, 308, 309, 310,
    311, 312, 313, 314, 315,
    316, 317, 318, 319, 320
  }

  #IF_NOT_DEFINED __BTN_VOL_PRESET__
		#DEFINE __BTN_VOL_PRESET__
		INTEGER BTN_VOL_PRESET[]            =	// Group: Recall Volume preset (Channel FB)
		{
			371, 372, 373, 374, 375
		}
  #END_IF // __BTN_VOL_PRESET__

  LVL_VOL                               =	1     // Level: Volume level (0-255)
  LVL_GAIN                              =	5     // Level: Gain level (0-255)

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                            Text Keypad : Channels                            |
  |------------------------------------------------------------------------------|*/

  #IF_NOT_DEFINED __BTN_KEYPAD_BUTTON__
		#DEFINE __BTN_KEYPAD_BUTTON__
		INTEGER BTN_KEYPAD_BUTTON[]         =	// Group: Toggle keypad button (Channel FB)
		{
			1, 2, 3, 4, 5,
			6, 7, 8, 9, 10,
			11, 12, 13, 14, 15,
			16, 17, 18, 19, 20
		}
  #END_IF // __BTN_KEYPAD_BUTTON__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                      TV : Channels/Levels/Variable Text                      |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_PLUS_10                      =	20    // Press menu button plus_10 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_CHAN_UP                           =	22    // Go to next Station Preset (Momentary FB)
  BTN_CHAN_DN                           =	23    // Go to prev Station Preset (Momentary FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_VIDEO                        =	57    // Press menu button video (Momentary FB)
  BTN_MENU_SLEEP                        =	63    // Press menu button sleep (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_DOT                          =	92    // Press menu button dot (Momentary FB)
  BTN_MENU_PLUS_100                     =	97    // Press menu button plus_100 (Momentary FB)
  BTN_MENU_PLUS_1000                    =	98    // Press menu button plus_1000 (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_INFO                         =	101   // Press menu button info (Momentary FB)
  BTN_MENU_FAVORITES                    =	102   // Press menu button favorites (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_GUIDE                        =	105   // Press menu button guide (Momentary FB)
  BTN_MENU_PAGE_UP                      =	106   // Press menu button page up (Momentary FB)
  BTN_MENU_PAGE_DN                      =	107   // Press menu button page down (Momentary FB)
  BTN_MENU_HELP                         =	113   // Press menu button help (Momentary FB)
  BTN_ASPECT_RATIO                      =	142   // Aspect Ratio (Momentary FB)
  BTN_BRIGHT_UP                         =	148   // Increment brightness (Momentary FB)
  BTN_BRIGHT_DN                         =	149   // Decrement brightness (Momentary FB)
  BTN_COLOR_UP                          =	150   // Increment color (Momentary FB)
  BTN_COLOR_DN                          =	151   // Decrement color (Momentary FB)
  BTN_CONTRAST_UP                       =	152   // Increment contrast (Momentary FB)
  BTN_CONTRAST_DN                       =	153   // Decrement contrast (Momentary FB)
  BTN_SHARP_UP                          =	154   // Increment sharpness (Momentary FB)
  BTN_SHARP_DN                          =	155   // Decrement sharpness (Momentary FB)
  BTN_TINT_UP                           =	156   // Increment tint (Momentary FB)
  BTN_TINT_DN                           =	157   // Decrement tint (Momentary FB)
  BTN_PIP_POS                           =	191   // Cycle pip position (Momentary FB)
  BTN_PIP_SWAP                          =	193   // Swap pip (Momentary FB)
  BTN_PIP                               =	194   // Cycle pip (Channel FB)
  BTN_SOURCE_CYCLE                      =	196   // Cycle input (Momentary FB)
  BTN_PIC_MUTE                          =	210   // Cycle picture/video mute (Channel FB)
  BTN_PIC_FREEZE                        =	213   // Cycle freeze (Channel FB)
  BTN_TUNER_STATION_UP                  =	225   // Increment Channel (Momentary FB)
  BTN_TUNER_STATION_DN                  =	226   // Decrement Channel (Momentary FB)
  BTN_TUNER_PREV                        =	235   // Goto previous tuner station (Momentary FB)

	#IF_NOT_DEFINED __BTN_INPUT_SOURCE__
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]      =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  LVL_VOL                               =	1     // Level: Volume level (0-255)
  LVL_BRIGHT                            =	10    // Level: Brightness level (0-255)
  LVL_COLOR                             =	11    // Level: Color level (0-255)
  LVL_CONTRAST                          =	12    // Level: Contrast level (0-255)
  LVL_SHARP                             =	13    // Level: Sharpness level (0-255)
  LVL_TINT                              =	14    // Level: Tint level (0-255)

  TXT_SOURCE_INPUT                      =	15    // Text: Selected input
  TXT_TUNER_STATION                     =	16    // Text: Station
  TXT_ASPECT_RATIO                      =	27    // Text: Aspect Ratio

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                         UPS : Channels/Variable Text                         |
  |------------------------------------------------------------------------------|*/

  BTN_UPS_OUTLET_STATE_1                =	434   // Toggle Outlet State 1 (Channel FB)
  BTN_UPS_OUTLET_STATE_2                =	435   // Toggle Outlet State 2 (Channel FB)
  BTN_UPS_OUTLET_STATE_3                =	436   // Toggle Outlet State 3 (Channel FB)
  BTN_UPS_OUTLET_STATE_4                =	437   // Toggle Outlet State 4 (Channel FB)
  BTN_UPS_OUTLET_STATE_5                =	438   // Toggle Outlet State 5 (Channel FB)
  BTN_UPS_OUTLET_STATE_6                =	439   // Toggle Outlet State 6 (Channel FB)

  INTEGER BTN_UPS_OUTLET_STATE[]        =	// Group: UPS outlet state (Channel FB)
  {
    434, 435, 436, 437, 438,
    439
  }

  TXT_UPS_STATUS                        =	302   // Text: UPS status
  TXT_UPS_BACKUP_TIME                   =	303   // Text: UPS backup time remaining
  TXT_UPS_ALARM                         =	304   // Text: UPS alarm state

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                         VCR : Channels/Variable Text                         |
  |------------------------------------------------------------------------------|*/

  BTN_PLAY                              =	1     // Play (Channel FB)
  BTN_STOP                              =	2     // Stop (Channel FB)
  BTN_PAUSE                             =	3     // Pause (Channel FB)
  BTN_FFWD                              =	4     // Fast forward (Channel FB)
  BTN_REW                               =	5     // Rewind (Channel FB)
  BTN_SFWD                              =	6     // Search forward (Channel FB)
  BTN_SREV                              =	7     // Search reverse (Channel FB)
  BTN_RECORD                            =	8     // Record (Channel FB)
  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_PLUS_10                      =	20    // Press menu button plus_10 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_CHAN_UP                           =	22    // Go to next Station Preset (Momentary FB)
  BTN_CHAN_DN                           =	23    // Go to prev Station Preset (Momentary FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_PLUS_100                     =	97    // Press menu button plus_100 (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_INFO                         =	101   // Press menu button info (Momentary FB)
  BTN_MENU_FAVORITES                    =	102   // Press menu button favorites (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_GUIDE                        =	105   // Press menu button guide (Momentary FB)
  BTN_MENU_PAGE_UP                      =	106   // Press menu button page up (Momentary FB)
  BTN_MENU_PAGE_DN                      =	107   // Press menu button page down (Momentary FB)
  BTN_MENU_TV_VCR                       =	109   // Press menu button TV VCR (Momentary FB)
  BTN_MENU_RECORD_SPEED                 =	110   // Press menu button record speed (Momentary FB)
  BTN_MENU_PROGRAM                      =	111   // Press menu button program (Momentary FB)
  BTN_MENU_HELP                         =	113   // Press menu button help (Momentary FB)
  BTN_EJECT                             =	120   // Eject tape (Momentary FB)
  BTN_RESET_COUNTER                     =	121   // Reset counter (Momentary FB)
  BTN_SOURCE_CYCLE                      =	196   // Cycle input (Momentary FB)
  BTN_TUNER_STATION_UP                  =	225   // Increment Channel (Momentary FB)
  BTN_TUNER_STATION_DN                  =	226   // Decrement Channel (Momentary FB)
  BTN_TUNER_PREV                        =	235   // Goto previous tuner station (Momentary FB)

	#IF_NOT_DEFINED __BTN_INPUT_SOURCE__
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]      =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  TXT_TAPE_COUNTER                      =	11    // Text: Tape Counter
  TXT_SOURCE_INPUT                      =	15    // Text: Selected input
  TXT_TUNER_STATION                     =	16    // Text: Station

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |              Video Conferencer : Channels/Levels/Variable Text               |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_DIGIT_0                           =	10    // Press menu button digit 0 (Momentary FB)
  BTN_DIGIT_1                           =	11    // Press menu button digit 1 (Momentary FB)
  BTN_DIGIT_2                           =	12    // Press menu button digit 2 (Momentary FB)
  BTN_DIGIT_3                           =	13    // Press menu button digit 3 (Momentary FB)
  BTN_DIGIT_4                           =	14    // Press menu button digit 4 (Momentary FB)
  BTN_DIGIT_5                           =	15    // Press menu button digit 5 (Momentary FB)
  BTN_DIGIT_6                           =	16    // Press menu button digit 6 (Momentary FB)
  BTN_DIGIT_7                           =	17    // Press menu button digit 7 (Momentary FB)
  BTN_DIGIT_8                           =	18    // Press menu button digit 8 (Momentary FB)
  BTN_DIGIT_9                           =	19    // Press menu button digit 9 (Momentary FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_ACCEPT                       =	60    // Press menu button accept (Momentary FB)
  BTN_MENU_REJECT                       =	61    // Press menu button reject (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_HOLD                         =	85    // Press menu button hold (Momentary FB)
  BTN_MENU_LT_PAREN                     =	87    // Press menu button left paren (Momentary FB)
  BTN_MENU_RT_PAREN                     =	88    // Press menu button right paren (Momentary FB)
  BTN_MENU_UNDERSCORE                   =	89    // Press menu button underscore (Momentary FB)
  BTN_MENU_DASH                         =	90    // Press menu button dash (Momentary FB)
  BTN_MENU_ASTERISK                     =	91    // Press menu button asterisk (Momentary FB)
  BTN_MENU_DOT                          =	92    // Press menu button dot (Momentary FB)
  BTN_MENU_POUND                        =	93    // Press menu button pound (Momentary FB)
  BTN_MENU_COMMA                        =	94    // Press menu button comma (Momentary FB)
  BTN_MENU_DIAL                         =	95    // Press menu button dial (Momentary FB)
  BTN_MENU_CONFERENCE                   =	96    // Press menu button conference (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_MENU_PAGE_UP                      =	106   // Press menu button page up (Momentary FB)
  BTN_MENU_PAGE_DN                      =	107   // Press menu button page down (Momentary FB)
  BTN_MENU_HELP                         =	113   // Press menu button help (Momentary FB)
  BTN_MENU_AUDIO                        =	118   // Press menu button audio (Momentary FB)
  BTN_MENU_PREVIEW_INPUT                =	129   // Press menu button preview input (Momentary FB)
  BTN_MENU_SEND_INPUT                   =	130   // Press menu button send input (Momentary FB)
  BTN_MENU_SEND_GRAPHICS                =	131   // Press menu button send graphics (Momentary FB)
  BTN_TILT_UP                           =	132   // Ramp tilt up (Channel FB)
  BTN_TILT_DN                           =	133   // Ramp tilt down (Channel FB)
  BTN_PAN_LT                            =	134   // Ramp pan left (Channel FB)
  BTN_PAN_RT                            =	135   // Ramp pan right (Channel FB)
  BTN_VCONF_PRIVACY                     =	145   // Cycle privacy (Channel FB)
  BTN_VCONF_TRAIN                       =	147   // Execute train (Momentary FB)
  BTN_ZOOM_OUT                          =	158   // Ramp zoom out (Channel FB)
  BTN_ZOOM_IN                           =	159   // Ramp zoom in (Channel FB)
  BTN_FOCUS_NEAR                        =	160   // Ramp focus near (Channel FB)
  BTN_FOCUS_FAR                         =	161   // Ramp focus far (Channel FB)
  BTN_AUTO_FOCUS                        =	172   // Cycle auto focus (Channel FB)
  BTN_AUTO_IRIS                         =	173   // Cycle auto iris (Channel FB)
  BTN_IRIS_OPEN                         =	174   // Ramp iris open (Channel FB)
  BTN_IRIS_CLOSE                        =	175   // Ramp iris closed (Channel FB)
  BTN_PIP_POS                           =	191   // Cycle pip position (Momentary FB)
  BTN_PIP_SWAP                          =	193   // Swap pip (Momentary FB)
  BTN_PIP                               =	194   // Cycle pip (Channel FB)
  BTN_SOURCE_CYCLE                      =	196   // Cycle input (Momentary FB)
  BTN_DIAL_REDIAL                       =	201   // Redial (Momentary FB)
  BTN_DIAL_OFF_HOOK                     =	202   // Cycle off hook state (Channel FB)
  BTN_MENU_FLASH                        =	203   // Press menu button flash (Momentary FB)
  BTN_DIAL_AUTO_ANSWER                  =	204   // Cycle auto answer state (Channel FB)
  BTN_DIAL_AUDIBLE_RING                 =	205   // Cycle audible ring state (Channel FB)
  BTN_CAM_PRESET_SAVE                   =	260   // Save Camera preset (Channel FB)
  BTN_PHONEBOOK_NEXT                    =	401   // Next Page (Momentary FB)
  BTN_PHONEBOOK_PREV                    =	402   // Previous Page (Momentary FB)
  BTN_PHONEBOOK_DIAL                    =	407   // Dial the selected item (Momentary FB)

  #IF_NOT_DEFINED __BTN_CAM_PRESET__
		#DEFINE __BTN_CAM_PRESET__
		INTEGER BTN_CAM_PRESET[]            =	// Group: Recall Camera preset (Channel FB)
		{
			261, 262, 263, 264, 265,
			266, 267, 268, 269, 270,
			271, 272, 273, 274, 275,
			276, 277, 278, 279, 280
		}
  #END_IF // __BTN_CAM_PRESET__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE__
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]    =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  #IF_NOT_DEFINED __BTN_DIAL_LIST__
		#DEFINE __BTN_DIAL_LIST__
		INTEGER BTN_DIAL_LIST[]             =	// Group: Speed dial (Momentary FB)
		{
			341, 342, 343, 344, 345,
			346, 347, 348, 349, 350,
			351, 352, 353, 354, 355,
			356, 357, 358, 359, 360
		}
  #END_IF // __BTN_DIAL_LIST__

  #IF_NOT_DEFINED __BTN_PHONEBOOK_LIST__
		#DEFINE __BTN_PHONEBOOK_LIST__
		INTEGER BTN_PHONEBOOK_LIST[]        =	// Group: Select Phonebook item (Channel FB)
		{
			391, 392, 393, 394, 395,
			396, 397, 398, 399, 400
		}
  #END_IF // __BTN_PHONEBOOK_LIST__

  LVL_VOL                               =	1     // Level: Volume level (0-255)

  TXT_SOURCE_INPUT                      =	15    // Text: Selected input
  TXT_DIAL_NUMBER                       =	19    // Text: Incoming call number
  TXT_DIAL_CALL_PROGRESS                =	20    // Text: Call progress
  TXT_PHONEBOOK_NAME                    =	178   // Text: Phonebook Name
  TXT_PHONEBOOK_NUMBER                  =	179   // Text: Phonebook Number
  TXT_PHONEBOOK_LIST_STATUS             =	180   // Text: Phonebook List Status (total records)

  #IF_NOT_DEFINED __TXT_PHONEBOOK_LIST__
		#DEFINE __TXT_PHONEBOOK_LIST__
		INTEGER TXT_PHONEBOOK_LIST[]        =	// Text: Phonebook List
		{
			181, 182, 183, 184, 185,
			186, 187, 188, 189, 190
		}
  #END_IF // __TXT_PHONEBOOK_LIST__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                   Video Processor : Channels/Variable Text                   |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_VPROC_PRESET_SAVE                 =	260   // Save Video Processor preset (Channel FB)

  INTEGER BTN_VPROC_PRESET[]            =	// Group: Recall Video Processor preset (Channel FB)
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

	#IF_NOT_DEFINED __BTN_INPUT_SOURCE__
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]      =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  TXT_SOURCE_INPUT                      =	15    // Text: Selected input

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |               Video Projector : Channels/Levels/Variable Text                |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_MENU_ENTER                        =	21    // Press menu button enter (Momentary FB)
  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_MENU_CANCEL                       =	43    // Press menu button cancel (Momentary FB)
  BTN_MENU_FUNC                         =	44    // Press menu button menu (Momentary FB)
  BTN_MENU_UP                           =	45    // Press menu up button (Momentary FB)
  BTN_MENU_DN                           =	46    // Press menu down button (Momentary FB)
  BTN_MENU_LT                           =	47    // Press menu left button (Momentary FB)
  BTN_MENU_RT                           =	48    // Press menu right button (Momentary FB)
  BTN_MENU_SELECT                       =	49    // Press Select - Select Menu Item (Momentary FB)
  BTN_MENU_EXIT                         =	50    // Press menu button exit (Momentary FB)
  BTN_MENU_CLEAR                        =	80    // Press menu button clear (Momentary FB)
  BTN_MENU_DISPLAY                      =	99    // Press menu button display (Momentary FB)
  BTN_MENU_INFO                         =	101   // Press menu button info (Momentary FB)
  BTN_MENU_RETURN                       =	104   // Press menu button RETURN (Momentary FB)
  BTN_ASPECT_RATIO                      =	142   // Aspect Ratio (Momentary FB)
  BTN_BRIGHT_UP                         =	148   // Increment brightness (Momentary FB)
  BTN_BRIGHT_DN                         =	149   // Decrement brightness (Momentary FB)
  BTN_COLOR_UP                          =	150   // Increment color (Momentary FB)
  BTN_COLOR_DN                          =	151   // Decrement color (Momentary FB)
  BTN_CONTRAST_UP                       =	152   // Increment contrast (Momentary FB)
  BTN_CONTRAST_DN                       =	153   // Decrement contrast (Momentary FB)
  BTN_SHARP_UP                          =	154   // Increment sharpness (Momentary FB)
  BTN_SHARP_DN                          =	155   // Decrement sharpness (Momentary FB)
  BTN_TINT_UP                           =	156   // Increment tint (Momentary FB)
  BTN_TINT_DN                           =	157   // Decrement tint (Momentary FB)
  BTN_PIP_POS                           =	191   // Cycle pip position (Momentary FB)
  BTN_PIP_SWAP                          =	193   // Swap pip (Momentary FB)
  BTN_PIP                               =	194   // Cycle pip (Channel FB)
  BTN_SOURCE_CYCLE                      =	196   // Cycle input (Momentary FB)
  BTN_PIC_MUTE                          =	210   // Cycle picture/video mute (Channel FB)
  BTN_PIC_FREEZE                        =	213   // Cycle freeze (Channel FB)

  BTN_LAMP_WARMING_FB                   =	253   // Feedback ButtON:Lamp Warming FB (Channel FB)

  BTN_LAMP_COOLING_FB                   =	254   // Feedback ButtON:Lamp Cooling FB (Channel FB)

  BTN_LAMP_POWER_FB                     =	255   // Feedback ButtON:Lamp Power FB (Channel FB)

  #IF_NOT_DEFINED __BTN_VPROJ_PRESET__
		#DEFINE __BTN_VPROJ_PRESET__
		INTEGER BTN_VPROJ_PRESET[]          =	// Group: Recall Video Projector preset (Channel FB)
		{
			261, 262, 263, 264, 265,
			266, 267, 268, 269, 270,
			271, 272, 273, 274, 275,
			276, 277, 278, 279, 280
		}
  #END_IF // __BTN_VPROJ_PRESET__

	#IF_NOT_DEFINED __BTN_INPUT_SOURCE__
		#DEFINE __BTN_INPUT_SOURCE__
		INTEGER BTN_INPUT_SOURCE[]          =	// Group: Discrete input source selection (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_INPUT_SOURCE__

  #IF_NOT_DEFINED __BTN_INPUT_SOURCE_GROUP__
		#DEFINE __BTN_INPUT_SOURCE_GROUP__
		INTEGER BTN_INPUT_SOURCE_GROUP[]    =	// Group: Discrete input source group Select (Channel FB)
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __BTN_INPUT_SOURCE_GROUP__

  LVL_VOL                               =	1     // Level: Volume level (0-255)
  LVL_BRIGHT                            =	10    // Level: Brightness level (0-255)
  LVL_COLOR                             =	11    // Level: Color level (0-255)
  LVL_CONTRAST                          =	12    // Level: Contrast level (0-255)
  LVL_SHARP                             =	13    // Level: Sharpness level (0-255)
  LVL_TINT                              =	14    // Level: Tint level (0-255)

  TXT_LAMP_COOLDOWN                     =	12    // Text: Cooldown counter
  TXT_LAMP_WARMUP                       =	13    // Text: Warmup counter
  TXT_LAMP_HOURS                        =	14    // Text: Lamp hours
  TXT_SOURCE_INPUT                      =	15    // Text: Selected input
  TXT_ASPECT_RATIO                      =	27    // Text: Aspect Ratio

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE__
		#DEFINE __TXT_INPUT_SOURCE__
		INTEGER TXT_INPUT_SOURCE[]          =	// Text: Discrete input sources
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __TXT_INPUT_SOURCE__

  #IF_NOT_DEFINED __TXT_INPUT_SOURCE_GROUP__
		#DEFINE __TXT_INPUT_SOURCE_GROUP__
		INTEGER TXT_INPUT_SOURCE_GROUP[]    =	// Text: Discrete input source groups
		{
			301, 302, 303, 304, 305,
			306, 307, 308, 309, 310,
			311, 312, 313, 314, 315,
			316, 317, 318, 319, 320
		}
  #END_IF // __TXT_INPUT_SOURCE_GROUP__

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                  Video Wall : Channels/Levels/Variable Text                  |
  |------------------------------------------------------------------------------|*/

  BTN_POWER                             =	9     // Cycle power (Channel FB)
  BTN_PAN_UP                            =	132   // Pan up (Momentary FB)
  BTN_PAN_DN                            =	133   // Pan down (Momentary FB)
  BTN_PAN_LT                            =	134   // Pan left (Momentary FB)
  BTN_PAN_RT                            =	135   // Pan right (Momentary FB)
  BTN_BRIGHT_UP                         =	148   // Increment brightness (Momentary FB)
  BTN_BRIGHT_DN                         =	149   // Decrement brightness (Momentary FB)
  BTN_COLOR_UP                          =	150   // Increment color (Momentary FB)
  BTN_COLOR_DN                          =	151   // Decrement color (Momentary FB)
  BTN_CONTRAST_UP                       =	152   // Increment contrast (Momentary FB)
  BTN_CONTRAST_DN                       =	153   // Decrement contrast (Momentary FB)
  BTN_SHARP_UP                          =	154   // Increment sharpness (Momentary FB)
  BTN_SHARP_DN                          =	155   // Decrement sharpness (Momentary FB)
  BTN_TINT_UP                           =	156   // Increment tint (Momentary FB)
  BTN_TINT_DN                           =	157   // Decrement tint (Momentary FB)
  BTN_ZOOM_OUT                          =	158   // Zoom out (Momentary FB)
  BTN_ZOOM_IN                           =	159   // Zoom in (Momentary FB)
  BTN_PIC_MUTE                          =	210   // Cycle picture/video mute (Channel FB)
  BTN_PIC_FREEZE                        =	213   // Cycle freeze (Channel FB)
  BTN_WINDOW_FRONT                      =	230   // Bring window to front (Momentary FB)
  BTN_WINDOW_BACK                       =	231   // Send window to back (Momentary FB)
  BTN_WINDOW_FORWARD  = 232   // Shift Window up (Momentary FB)
  BTN_WINDOW_BACKWARD                   =	233   // Shift Window down (Momentary FB)
  BTN_VWALL_CONFIG_SAVE                 =	260   // Save Video Wall Configuration (Channel FB)
  BTN_VWALL_CONFIG_NEXT                 =	401   // Next Page (Momentary FB)
  BTN_VWALL_CONFIG_PREV                 =	402   // Prev Page (Momentary FB)

	#IF_NOT_DEFINED __BTN_VWALL_CONFIG__
		#DEFINE __BTN_VWALL_CONFIG__
		INTEGER BTN_VWALL_CONFIG[]          =	// Group: Recall Video Wall Configuration (Channel FB)
		{
			261, 262, 263, 264, 265,
			266, 267, 268, 269, 270,
			271, 272, 273, 274, 275,
			276, 277, 278, 279, 280
		}
  #END_IF // __BTN_VWALL_CONFIG__

  #IF_NOT_DEFINED __BTN_WINDOW_INPUT__
		#DEFINE __BTN_WINDOW_INPUT__
		INTEGER BTN_WINDOW_INPUT[]          =	// Group: Input Select (Channel FB)
		{
			281, 282, 283, 284, 285,
			286, 287, 288, 289, 290,
			291, 292, 293, 294, 295,
			296, 297, 298, 299, 300
		}
  #END_IF // __BTN_WINDOW_INPUT__

  LVL_BRIGHT                            =	10    // Level: Brightness level (0-255)
  LVL_COLOR                             =	11    // Level: Color level (0-255)
  LVL_CONTRAST                          =	12    // Level: Contrast level (0-255)
  LVL_SHARP                             =	13    // Level: Sharpness level (0-255)
  LVL_TINT                              =	14    // Level: Tint level (0-255)

  #IF_NOT_DEFINED __TXT_VWALL_CONFIG__
		#DEFINE __TXT_VWALL_CONFIG__
		INTEGER TXT_VWALL_CONFIG[]          =	// Text: Configuration List VT
		{
			241, 242, 243, 244, 245,
			246, 247, 248, 249, 250,
			251, 252, 253, 254, 255,
			256, 257, 258, 259, 260
		}
  #END_IF // TXT_VWALL_CONFIG

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                     Volume Controller : Channels/Levels                      |
  |------------------------------------------------------------------------------|*/

  BTN_VOL_UP                            =	24    // Ramp volume up (Channel FB)
  BTN_VOL_DN                            =	25    // Ramp volume down (Channel FB)
  BTN_VOL_MUTE                          =	26    // Cycle volume mute (Channel FB)
  BTN_VOL_PRESET_SAVE                   =	376   // Save Volume preset (Channel FB)

  #IF_NOT_DEFINED __BTN_VOL_PRESET__
		#DEFINE __BTN_VOL_PRESET__
		INTEGER BTN_VOL_PRESET[]            =	// Group: Recall Volume preset (Channel FB)
		{
			371, 372, 373, 374, 375
		}
  #END_IF // __BTN_VOL_PRESET__

  LVL_VOL                               =	1     // Level: Volume level (0-255)

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                       Weather : Channels/Variable Text                       |
  |------------------------------------------------------------------------------|*/

  BTN_WEATHER_FORCE_READING             =	208   // Force new readings (Momentary FB)
  BTN_WEATHER_UNITS                     =	209   // Off is imperial, on is metric (Channel FB)

  TXT_INDOOR_TEMP                       =	33    // Text: Indoor temperature, range is n..m degrees F or C
  TXT_OUTDOOR_TEMP                      =	34    // Text: Outdoor temperature, range is n..m degrees F or C
  TXT_INDOOR_HUMID                      =	35    // Text: Indoor humidity range is 0..100 percent
  TXT_OUTDOOR_HUMID                     =	36    // Text: Outdoor humidity, range is 0..100 percent
  TXT_WEATHER_HI_TEMP                   =	43    // Text: Today's actual high temperature, range is n..m degrees F or C
  TXT_WEATHER_LO_TEMP                   =	44    // Text: Today's actual low temperature, range is n..m degrees F or C
  TXT_WEATHER_WIND_CHILL                =	45    // Text: Wind chill, range is n..m degrees F or C
  TXT_WEATHER_HEAT_INDEX                =	46    // Text: Heat index, range is n..m degrees F or C
  TXT_WEATHER_DEWPOINT                  =	47    // Text: Dew point, range is n..m degrees F or C
  TXT_WEATHER_BAR_PRESS                 =	48    // Text: Barometric pressure, range is n..m in inches hg or millimeter hg/torr
  TXT_WEATHER_BAR_TREND                 =	49    // Text: Barometric Pressure trend (rising, falling)
  TXT_WEATHER_CONDITION                 =	50    // Text: Current Weather Condition
  TXT_WEATHER_RAIN_TODAY                =	53    // Text: Rainfall (today)
  TXT_WEATHER_RAIN_WEEK                 =	54    // Text: Rainfall (this week)
  TXT_WEATHER_RAIN_MONTH                =	55    // Text: Rainfall (this month)
  TXT_WEATHER_RAIN_YEAR                 =	56    // Text: Rainfall (this year)
  TXT_WEATHER_ALERT                     =	57    // Text: Weather alert

  INTEGER TXT_WEATHER_WIND_INFO[]       =	// Text: Wind Info: Wind speed, Wind direction
  {
    51, 52
  }

  INTEGER TXT_WEATHER_FORECAST_CONDITION[]= // Text: Forecast Conditon
  {
    61, 62, 63, 64, 65,
    66, 67, 68, 69, 70
  }

  INTEGER TXT_WEATHER_FORECAST_HI[]     =	// Text: Forecast High temperature
  {
    71, 72, 73, 74, 75,
    76, 77, 78, 79, 80
  }

  INTEGER TXT_WEATHER_FORECAST_LO[]     =	// Text: Forecast Low temperature
  {
    81, 82, 83, 84, 85,
    86, 87, 88, 89, 90
  }

  INTEGER TXT_WEATHER_FORECAST_COP[]    =	// Text: Forecast Chance of Precipitation
  {
    91, 92, 93, 94, 95,
    96, 97, 98, 99, 100
  }

DEFINE_CONSTANT
/*|------------------------------------------------------------------------------|
  |                              Soft-map Constants                              |
  |------------------------------------------------------------------------------|*/

  INTEGER BTN_TUNER_PRESET[]            =	// Group: Recall Station preset (Channel FB)
  {
    261, 262, 263, 264, 265,
    266, 267, 268, 269, 270,
    271, 272, 273, 274, 275,
    276, 277, 278, 279, 280
  }

  INTEGER BTN_SOURCE_INPUT[]            =	// Group: Select input (Channel FB)
  {
    281, 282, 283, 284, 285,
    286, 287, 288, 289, 290,
    291, 292, 293, 294, 295,
    296, 297, 298, 299, 300
  }

  INTEGER BTN_PREAMP_SURROUND[]         =	// Group: Surround Sound mode (Channel FB)
  {
    321, 322, 323, 324, 325,
    326, 327, 328, 329, 330,
    331, 332, 333, 334, 335,
    336, 337, 338, 339, 340
  }

  #END_IF //  __G4API_CONST__
