/*|------------------------------------------------------------------------------|
  |                             HPro BSS DCP555 Main                             |
  |                                                                              |
  |------------------------------------------------------------------------------|*/

PROGRAM_NAME = 'HPro BSS DCP555 Main'

  #INCLUDE 'ITG Libraries Helpers'

DEFINE_DEVICE

  vdvDevice                             = 41001:1:0
  vdvDevice_01                          = 41001:1:0
  vdvDevice_02                          = 41001:2:0
  vdvDevice_03                          = 41001:3:0
  vdvDevice_04                          = 41001:4:0
  vdvDevice_05                          = 41001:5:0
  vdvDevice_06                          = 41001:6:0
  vdvDevice_07                          = 41001:7:0
  vdvDevice_08                          = 41001:8:0
  vdvDevice_09                          = 41001:9:0
  vdvDevice_10                          = 41001:10:0
  vdvDevice_11                          = 41001:11:0
  vdvDevice_12                          = 41001:12:0
  vdvDevice_13                          = 41001:13:0
  vdvDevice_14                          = 41001:14:0
  vdvDevice_15                          = 41001:15:0
  vdvDevice_16                          = 41001:16:0
  vdvDevice_17                          = 41001:17:0
  vdvDevice_18                          = 41001:18:0
  vdvDevice_19                          = 41001:19:0
  vdvDevice_20                          = 41001:20:0
  vdvDevice_21                          = 41001:21:0
  vdvDevice_22                          = 41001:22:0
  vdvDevice_23                          = 41001:23:0
  vdvDevice_24                          = 41001:24:0
  vdvDevice_25                          = 41001:25:0
  vdvDevice_26                          = 41001:26:0
  vdvDevice_27                          = 41001:27:0
  vdvDevice_28                          = 41001:28:0

  dvTP                                  = 10001:1:0
  dvTP_01                               = 10001:1:0
  dvTP_02                               = 10001:2:0
  dvTP_03                               = 10001:3:0
  dvTP_04                               = 10001:4:0
  dvTP_05                               = 10001:5:0
  dvTP_06                               = 10001:6:0
  dvTP_07                               = 10001:7:0
  dvTP_08                               = 10001:8:0
  dvTP_09                               = 10001:9:0
  dvTP_10                               = 10001:10:0
  dvTP_11                               = 10001:11:0
  dvTP_12                               = 10001:12:0
  dvTP_13                               = 10001:13:0
  dvTP_14                               = 10001:14:0
  dvTP_15                               = 10001:15:0
  dvTP_16                               = 10001:16:0
  dvTP_17                               = 10001:17:0
  dvTP_18                               = 10001:18:0
  dvTP_19                               = 10001:19:0
  dvTP_20                               = 10001:20:0
  dvTP_21                               = 10001:21:0
  dvTP_22                               = 10001:22:0
  dvTP_23                               = 10001:23:0
  dvTP_24                               = 10001:24:0
  dvTP_25                               = 10001:25:0
  dvTP_26                               = 10001:26:0
  dvTP_27                               = 10001:27:0
  dvTP_28                               = 10001:28:0

  dvDevice                              = 0:4:0

DEFINE_CONSTANT

  INTEGER nPages[]                      = { 520,521,522,523,524,525 }
  cDiscoverCommands[][50]               = { '?DEBUG' }

  INTEGER nDialerPage                   = 520
  INTEGER nInputPage                    = 521
  INTEGER nAnalogInputPage              = 522
  INTEGER nMaxtrixRouterPage            = 523
  INTEGER nModulePage                   = 524
  INTEGER nOutpuPage                    = 525

  DCP_REPORT_NOTFOUND                   = 'DCP.REPORT.NOTFOUND'     // toggles, optional parameter 0 true, 1 false
  DCP_REPORT_SEND                       = 'DCP.REPORT.SEND'          // toggles, optional parameter 0 true, 1 false
  DCP_REPORT_RECEIVE                    = 'DCP.REPORT.RECEIVE'       // toggles, optional parameter 0 true, 1 false

  DEV vdvDevices[]                      =
  {
    vdvDevice_01,vdvDevice_02,vdvDevice_03,vdvDevice_04,vdvDevice_05,
    vdvDevice_06,vdvDevice_07,vdvDevice_08,vdvDevice_09,vdvDevice_10,
    vdvDevice_11,vdvDevice_12,vdvDevice_13,vdvDevice_14,vdvDevice_15,
    vdvDevice_16,vdvDevice_17,vdvDevice_18,vdvDevice_19,vdvDevice_20,
    vdvDevice_21,vdvDevice_22,vdvDevice_23,vdvDevice_24,vdvDevice_25,
    vdvDevice_26,vdvDevice_27,vdvDevice_28
  }

  DEV dvTPDevices[]                     =
  {
    dvTP_01,dvTP_02,dvTP_03,dvTP_04,dvTP_05,
    dvTP_06,dvTP_07,dvTP_08,dvTP_09,dvTP_10,
    dvTP_11,dvTP_12,dvTP_13,dvTP_14,dvTP_15,
    dvTP_16,dvTP_17,dvTP_18,dvTP_19,dvTP_20,
    dvTP_21,dvTP_22,dvTP_23,dvTP_24,dvTP_25,
    dvTP_26,dvTP_27,dvTP_28
  }

DEFINE_VARIABLE

  DEV vdvDev[]                          = {vdvDevice}
  VOLATILE INTEGER bRegistered          = FALSE
  VOLATILE INTEGER idx
  VOLATILE INTEGER nDevice              = 1

DEFINE_FUNCTION fnTPLevelReset(DEVLEV dl[])
{
  STACK_VAR INTEGER i

  FOR(i = 1; i <= LENGTH_ARRAY(dl); i++)
  {
    SEND_LEVEL  dl[i], RANDOM_NUMBER(255)
  }
}

  #INCLUDE 'ITGComponentInclude'
  #INCLUDE 'Dialer'
  #INCLUDE 'Inputs'
  #INCLUDE 'MatrixRouter'
  #INCLUDE 'Outputs'

DEFINE_START

  bRegistered                           = FALSE

  DEFINE_MODULE 'ITGModuleComponent'             module(vdvDev, dvTP, nDevice, nPages,cDiscoverCommands)
  DEFINE_MODULE 'HPro_BSS_DCP555_Comm_dr1_0_0'   comm(vdvDevice, dvDevice)

DEFINE_EVENT

  DATA_EVENT[dvTP]
  {
    ONLINE:
    {
      fnTPHideAllPopups(dvTP)

      fnTPLevelReset(dlOutputLevelTP)
      fnTPLevelReset(dlInputLevelTP)
      fnTPLevelReset(dlAnalogPreAmpLevelTP)
      fnTPLevelReset(dlTPRingVolumeLevel)
      fnTPLevelReset(dlTPTXVolumeLevel)
      fnTPLevelReset(dlAudioMixerMasterGainLevelTP)
      fnTPLevelReset(dlAutoMixerInputGainLevelTP)

      fnTPShowPopup(dvTP,'[Nav 1]Nav 1')
      fnTPShowPopup(dvTP,'[Sub Nav]Sub Nav')

      IF(bRegistered)
      {
        fnSendCommand(vdvDevice,'REFRESH')
      }
    }
  }

  CHANNEL_EVENT[vdvDevice, DEVICE_COMMUNICATING]
  {
    ON:
    {
      IF(bRegistered == FALSE)
      {
        bRegistered                     = TRUE

        fnSendCommandEx(vdvDevice,'DCP.REGISTER','10.35.90.51')

        // otherways:  ip, port, username, password
        // fnSendCommandEx(vdvDevice,'DCP.REGISTER',"'10.90.76.240,8081'")
        // fnSendCommandEx(vdvDevice,'DCP.REGISTER',"'10.90.76.240,8081,administrator'")
        // fnSendCommandEx(vdvDevice,'DCP.REGISTER',"'10.90.76.240,8081,administrator,administrator'")
        // fnSendCommandEx(vdvDevice,'DCP.REGISTER',"'10.90.76.240,,,administrator'")
      }
    }

    OFF:
    {
      bRegistered                       = FALSE
    }
  }

/*|------------------------------------------------------------------------------|
  |                                                                              |
  |      !!! END OF PROGRAM --- DO NOT PUT ANY CODE BELOW THIS COMMENT  !!!      |
  |                                                                              |
  |------------------------------------------------------------------------------|*/

