/*|------------------------------------------------------------------------------|
  |                   ITGCommon NetLinx Libraries v33 06/20/19                   |
  |------------------------------------------------------------------------------|*/ 

/*|------------------------------------------------------------------------------|
  |                       ITG Libraries Mainline TimeLine                        |
  |                            Common Implementation                             |
  |                                                                              |
  | Due to differences in the underlying architecture of the X-Series masters,   |
  |     changing variables in the DEFINE_PROGRAM section of code can negatively  |
  |     impact program performance.                                              |
  |                                                                              |
  | TimeLine implementation refer to "Differences in DEFINE_PROGRAM Program      |
  |     Execution" section of the NX-Series Controllers WebConsole &             |
  |     Programming Guide for additional and alternate coding methodologies.     |
  |------------------------------------------------------------------------------|*/

PROGRAM_NAME='ITG Libraries Mainline TimeLine'

#IF_NOT_DEFINED __ITG_LIBRARIES_MAINLINE_TIMELINE__
#DEFINE __ITG_LIBRARIES_MAINLINE_TIMELINE__

DEFINE_CONSTANT

  LONG PRG_DEFINE_TIMES[1]              = {500}   // process TimeLine every 500ms
  INTEGER DEFINE_PROGRAM_TIMELINE_ID    = 6076    // unique TimeLine Id

DEFINE_START

  TIMELINE_CREATE(DEFINE_PROGRAM_TIMELINE_ID,
    PRG_DEFINE_TIMES,
    LENGTH_ARRAY(PRG_DEFINE_TIMES),
    TIMELINE_RELATIVE,
    TIMELINE_REPEAT)

/*|------------------------------------------------------------------------------|
  |                            Sample Implementation                             |
  | DEFINE_EVENT                                                                 |
  |                                                                              |
  |   TIMELINE_EVENT[DEFINE_PROGRAM_TIMELINE_ID]                                 |
  |   {                                                                          |
  |      [dvTP,PWR_ON]       = [vdvDev[nCurrentZone],LAMP_POWER_FB]               |
  |   }                                                                          |
  |                                                                              |
  |------------------------------------------------------------------------------|*/


  #END_IF  // __ITG_LIBRARIES_MAINLINE_TIMELINE__

/*|------------------------------------------------------------------------------|
  |                                                                              |
  |      !!! END OF PROGRAM --- DO NOT PUT ANY CODE BELOW THIS COMMENT  !!!      |
  |                                                                              |
  |------------------------------------------------------------------------------|*/
