/*|------------------------------------------------------------------------------|
  |                                    Inputs                                    |
  |                                                                              |
  |------------------------------------------------------------------------------|*/

PROGRAM_NAME = 'Inputs'

DEFINE_CONSTANT

  BTN_INPUT_CHANGED                     = 305
  BTN_INPUT_UP                          = 306
  BTN_INPUT_DN                          = 307
  CH_INPUT_MUTE                         = 409
  BTN_ANALOG_PREAMP_CHANGED             = 304
  BTN_ANALOG_PREAMP_UP                  = 315
  BTN_ANALOG_PREAMP_DN                  = 316
  CH_INPUT_PHANTOMPOWER                 = 401
  CH_AEC_ENABLE_DISABLE                 = 402
  CH_AGC_ENABLE_DISABLE                 = 403
  ADD_AGC_ENABLE_DISABLE                = '403'

  LVL_INPUT                             = 46
  LVL_ANALOG_PREAMP                     = 50


DEFINE_VARIABLE

  VOLATILE INTEGER nInputLevelValue[28]
  VOLATILE INTEGER nAnalogPreAmpLevelValue[16]

  INTEGER BTN_INPUT_MOMENTARY_ACTION_LIST[]   =
  {
    BTN_INPUT_UP,
    BTN_INPUT_DN,
    BTN_ANALOG_PREAMP_UP,
    BTN_ANALOG_PREAMP_DN
  }

  INTEGER BTN_INPUT_CHANNEL_ACTION_LIST[]     =
  {
    CH_INPUT_MUTE,
    CH_INPUT_PHANTOMPOWER,
    CH_AEC_ENABLE_DISABLE,
    CH_AGC_ENABLE_DISABLE
  }

  DEV vdvDevicesInput[]                 =
  {
    vdvDevice_01,vdvDevice_02,vdvDevice_03,vdvDevice_04,vdvDevice_05,
    vdvDevice_06,vdvDevice_07,vdvDevice_08,vdvDevice_09,vdvDevice_10,
    vdvDevice_11,vdvDevice_12,vdvDevice_13,vdvDevice_14,vdvDevice_15,
    vdvDevice_16,vdvDevice_17,vdvDevice_18,vdvDevice_19,vdvDevice_20,
    vdvDevice_21,vdvDevice_22,vdvDevice_23,vdvDevice_24,vdvDevice_25,
    vdvDevice_26,vdvDevice_27,vdvDevice_28
  }

  DEV dvTPDevicesInput[]                =
  {
    dvTP_01,dvTP_02,dvTP_03,dvTP_04,dvTP_05,
    dvTP_06,dvTP_07,dvTP_08,dvTP_09,dvTP_10,
    dvTP_11,dvTP_12,dvTP_13,dvTP_14,dvTP_15,
    dvTP_16,dvTP_17,dvTP_18,dvTP_19,dvTP_20,
    dvTP_21,dvTP_22,dvTP_23,dvTP_24,dvTP_25,
    dvTP_26,dvTP_27,dvTP_28
  }

// Input channel
  DEVCHAN dcInputValueChangeTP[]        =
  {
    {dvTP_01, BTN_INPUT_CHANGED},{dvTP_02, BTN_INPUT_CHANGED},{dvTP_03, BTN_INPUT_CHANGED},{dvTP_04, BTN_INPUT_CHANGED},
    {dvTP_05, BTN_INPUT_CHANGED},{dvTP_06, BTN_INPUT_CHANGED},{dvTP_07, BTN_INPUT_CHANGED},{dvTP_08, BTN_INPUT_CHANGED},
    {dvTP_09, BTN_INPUT_CHANGED},{dvTP_10, BTN_INPUT_CHANGED},{dvTP_11, BTN_INPUT_CHANGED},{dvTP_12, BTN_INPUT_CHANGED},
    {dvTP_13, BTN_INPUT_CHANGED},{dvTP_14, BTN_INPUT_CHANGED},{dvTP_15, BTN_INPUT_CHANGED},{dvTP_16, BTN_INPUT_CHANGED},
    {dvTP_17, BTN_INPUT_CHANGED},{dvTP_18, BTN_INPUT_CHANGED},{dvTP_19, BTN_INPUT_CHANGED},{dvTP_20, BTN_INPUT_CHANGED},
    {dvTP_21, BTN_INPUT_CHANGED},{dvTP_22, BTN_INPUT_CHANGED},{dvTP_23, BTN_INPUT_CHANGED},{dvTP_24, BTN_INPUT_CHANGED},
    {dvTP_25, BTN_INPUT_CHANGED},{dvTP_26, BTN_INPUT_CHANGED},{dvTP_27, BTN_INPUT_CHANGED},{dvTP_28, BTN_INPUT_CHANGED}
  }

  DEVLEV dlInputLevelDevice[]           =
  {
    {vdvDevice_01, LVL_INPUT},{vdvDevice_02, LVL_INPUT},{vdvDevice_03, LVL_INPUT},{vdvDevice_04, LVL_INPUT},
    {vdvDevice_05, LVL_INPUT},{vdvDevice_06, LVL_INPUT},{vdvDevice_07, LVL_INPUT},{vdvDevice_08, LVL_INPUT},
    {vdvDevice_09, LVL_INPUT},{vdvDevice_10, LVL_INPUT},{vdvDevice_11, LVL_INPUT},{vdvDevice_12, LVL_INPUT},
    {vdvDevice_13, LVL_INPUT},{vdvDevice_14, LVL_INPUT},{vdvDevice_15, LVL_INPUT},{vdvDevice_16, LVL_INPUT},
    {vdvDevice_17, LVL_INPUT},{vdvDevice_18, LVL_INPUT},{vdvDevice_19, LVL_INPUT},{vdvDevice_20, LVL_INPUT},
    {vdvDevice_21, LVL_INPUT},{vdvDevice_22, LVL_INPUT},{vdvDevice_23, LVL_INPUT},{vdvDevice_24, LVL_INPUT},
    {vdvDevice_25, LVL_INPUT},{vdvDevice_26, LVL_INPUT},{vdvDevice_27, LVL_INPUT},{vdvDevice_28, LVL_INPUT}
  }

  DEVLEV dlInputLevelTP[]               =
  {
    {dvTP_01, LVL_INPUT},{dvTP_02, LVL_INPUT},{dvTP_03, LVL_INPUT},{dvTP_04, LVL_INPUT},
    {dvTP_05, LVL_INPUT},{dvTP_06, LVL_INPUT},{dvTP_07, LVL_INPUT},{dvTP_08, LVL_INPUT},
    {dvTP_09, LVL_INPUT},{dvTP_10, LVL_INPUT},{dvTP_11, LVL_INPUT},{dvTP_12, LVL_INPUT},
    {dvTP_13, LVL_INPUT},{dvTP_14, LVL_INPUT},{dvTP_15, LVL_INPUT},{dvTP_16, LVL_INPUT},
    {dvTP_17, LVL_INPUT},{dvTP_18, LVL_INPUT},{dvTP_19, LVL_INPUT},{dvTP_20, LVL_INPUT},
    {dvTP_21, LVL_INPUT},{dvTP_22, LVL_INPUT},{dvTP_23, LVL_INPUT},{dvTP_24, LVL_INPUT},
    {dvTP_25, LVL_INPUT},{dvTP_26, LVL_INPUT},{dvTP_27, LVL_INPUT},{dvTP_28, LVL_INPUT}
	}

// Analog PreAmp
  DEVCHAN dcAnalogPreAmpValueChangeTP[] =
  {
    {dvTP_01, BTN_ANALOG_PREAMP_CHANGED},{dvTP_02, BTN_ANALOG_PREAMP_CHANGED},{dvTP_03, BTN_ANALOG_PREAMP_CHANGED},{dvTP_04, BTN_ANALOG_PREAMP_CHANGED},
    {dvTP_05, BTN_ANALOG_PREAMP_CHANGED},{dvTP_06, BTN_ANALOG_PREAMP_CHANGED},{dvTP_07, BTN_ANALOG_PREAMP_CHANGED},{dvTP_08, BTN_ANALOG_PREAMP_CHANGED},
    {dvTP_09, BTN_ANALOG_PREAMP_CHANGED},{dvTP_10, BTN_ANALOG_PREAMP_CHANGED},{dvTP_11, BTN_ANALOG_PREAMP_CHANGED},{dvTP_12, BTN_ANALOG_PREAMP_CHANGED},
    {dvTP_13, BTN_ANALOG_PREAMP_CHANGED},{dvTP_14, BTN_ANALOG_PREAMP_CHANGED},{dvTP_15, BTN_ANALOG_PREAMP_CHANGED},{dvTP_16, BTN_ANALOG_PREAMP_CHANGED}
  }

  DEVLEV dlAnalogPreAmpLevelDevice[]    =
  {
    {vdvDevice_01, LVL_ANALOG_PREAMP},{vdvDevice_02, LVL_ANALOG_PREAMP},{vdvDevice_03, LVL_ANALOG_PREAMP},{vdvDevice_04, LVL_ANALOG_PREAMP},
    {vdvDevice_05, LVL_ANALOG_PREAMP},{vdvDevice_06, LVL_ANALOG_PREAMP},{vdvDevice_07, LVL_ANALOG_PREAMP},{vdvDevice_08, LVL_ANALOG_PREAMP},
    {vdvDevice_09, LVL_ANALOG_PREAMP},{vdvDevice_10, LVL_ANALOG_PREAMP},{vdvDevice_11, LVL_ANALOG_PREAMP},{vdvDevice_12, LVL_ANALOG_PREAMP},
    {vdvDevice_13, LVL_ANALOG_PREAMP},{vdvDevice_14, LVL_ANALOG_PREAMP},{vdvDevice_15, LVL_ANALOG_PREAMP},{vdvDevice_16, LVL_ANALOG_PREAMP}
  }

  DEVLEV dlAnalogPreAmpLevelTP[]        =
  {
    {dvTP_01, LVL_ANALOG_PREAMP},{dvTP_02, LVL_ANALOG_PREAMP},{dvTP_03, LVL_ANALOG_PREAMP},{dvTP_04, LVL_ANALOG_PREAMP},
    {dvTP_05, LVL_ANALOG_PREAMP},{dvTP_06, LVL_ANALOG_PREAMP},{dvTP_07, LVL_ANALOG_PREAMP},{dvTP_08, LVL_ANALOG_PREAMP},
    {dvTP_09, LVL_ANALOG_PREAMP},{dvTP_10, LVL_ANALOG_PREAMP},{dvTP_11, LVL_ANALOG_PREAMP},{dvTP_12, LVL_ANALOG_PREAMP},
    {dvTP_13, LVL_ANALOG_PREAMP},{dvTP_14, LVL_ANALOG_PREAMP},{dvTP_15, LVL_ANALOG_PREAMP},{dvTP_16, LVL_ANALOG_PREAMP}
  }

DEFINE_START

  FOR(idx = 1; idx <= LENGTH_ARRAY(dlInputLevelTP); idx++)
  {
    CREATE_LEVEL dlInputLevelTP[idx], nInputLevelValue[idx]

    fnTPHideButton(dvTPDevicesInput[idx],ADD_AGC_ENABLE_DISABLE)
  }


  FOR(idx = 1; idx <= LENGTH_ARRAY(dlAnalogPreAmpLevelTP); idx++)
  {
    CREATE_LEVEL dlAnalogPreAmpLevelTP[idx], nAnalogPreAmpLevelValue[idx]
  }


DEFINE_EVENT

  BUTTON_EVENT[dvTPDevicesInput, BTN_INPUT_MOMENTARY_ACTION_LIST]
  {
    RELEASE:
    {
      PULSE[vdvDevicesInput[BUTTON.INPUT.DEVICE.PORT], BUTTON.INPUT.CHANNEL]
    }
  }

  BUTTON_EVENT[dvTPDevicesInput, BTN_INPUT_CHANNEL_ACTION_LIST]
  {
    RELEASE:
    {
      fnTPToggleChannel(vdvDevicesInput[BUTTON.INPUT.DEVICE.PORT], BUTTON.INPUT.CHANNEL)
    }
  }

// Input channel
  BUTTON_EVENT[dcInputValueChangeTP]
  {
    RELEASE:
    {
      SEND_LEVEL dlInputLevelDevice[GET_LAST(dcInputValueChangeTP)],nInputLevelValue[GET_LAST(dcInputValueChangeTP)]
    }
  }

// Analog Input
  BUTTON_EVENT[dcAnalogPreAmpValueChangeTP]
  {
    RELEASE:
    {
      SEND_LEVEL dlAnalogPreAmpLevelDevice[GET_LAST(dcAnalogPreAmpValueChangeTP)],nAnalogPreAmpLevelValue[GET_LAST(dcAnalogPreAmpValueChangeTP)]
    }
  }

  CHANNEL_EVENT[vdvDevicesInput, CH_AEC_ENABLE_DISABLE]
  {
    ON:
    {
      fnTPShowButton(dvTPDevicesInput[CHANNEL.DEVICE.PORT],ADD_AGC_ENABLE_DISABLE)
    }

    OFF:
    {
      fnTPHideButton(dvTPDevicesInput[CHANNEL.DEVICE.PORT],ADD_AGC_ENABLE_DISABLE)
    }
  }

  LEVEL_EVENT[dlInputLevelDevice]
  {
    SEND_LEVEL dlInputLevelTP[GET_LAST(dlInputLevelDevice)],LEVEL.VALUE
  }

  LEVEL_EVENT[dlAnalogPreAmpLevelDevice]
  {
    SEND_LEVEL dlAnalogPreAmpLevelTP[GET_LAST(dlAnalogPreAmpLevelDevice)],LEVEL.VALUE
  }
	
	TIMELINE_EVENT[DEFINE_PROGRAM_TIMELINE_ID]
  {
/*|-----------------------------------------------------------------------------|
  |                              !!!! WARNING !!!!                              |
  |                                                                             |
  | Due to differences in the underlying architecture of the X-Series masters,  |
  |     changing variables in the DEFINE_PROGRAM section of code can negatively |
  |     impact program performance.                                             |
  |                                                                             |
  | TimeLine implementation refer to "Differences in DEFINE_PROGRAM Program     |
  |     Execution" section of the NX-Series Controllers WebConsole &            |
  |     Programming Guide for additional and alternate coding methodologies.    |
  |-----------------------------------------------------------------------------|*/
  
    STACK_VAR INTEGER nLoop1
    STACK_VAR INTEGER nLoop2

    FOR(nLoop1=1; nLoop1<= LENGTH_ARRAY(dvTPDevicesInput); nLoop1++)
    {
      FOR(nLoop2=1; nLoop2<= LENGTH_ARRAY(BTN_INPUT_CHANNEL_ACTION_LIST); nLoop2++)
      {
        [dvTPDevicesInput[nLoop1], BTN_INPUT_CHANNEL_ACTION_LIST[nLoop2]] = [vdvDevicesInput[nLoop1], BTN_INPUT_CHANNEL_ACTION_LIST[nLoop2]]
      }
    }
  }

/*|------------------------------------------------------------------------------|
  |                                                                              |
  |      !!! END OF PROGRAM --- DO NOT PUT ANY CODE BELOW THIS COMMENT  !!!      |
  |                                                                              |
  |------------------------------------------------------------------------------|*/

