/*|------------------------------------------------------------------------------|
  |                                   Outputs                                    |
  |                                                                              |
  |------------------------------------------------------------------------------|*/

PROGRAM_NAME = 'Outputs'


DEFINE_CONSTANT

  BTN_OUTPUT_CHANGED                    = 308
  BTN_OUTPUT_UP                         = 309
  BTN_OUTPUT_DN                         = 310
  CH_OUTPUT_MUTE                        = 410

  LVL_OUTPUT                            = 47

DEFINE_VARIABLE

  VOLATILE INTEGER nOutputLevelValue[12]

  INTEGER BTN_OUTPUT_MOMENTARY_ACTION_LIST[]   =
  {
    BTN_OUTPUT_UP,
    BTN_OUTPUT_DN
  }

  INTEGER BTN_OUTPUT_CHANNEL_ACTION_LIST[]     =
  {
    CH_OUTPUT_MUTE
  }

  DEV vdvDevicesOutput[]                =
  {
    vdvDevice_01,vdvDevice_02,vdvDevice_03,vdvDevice_04,vdvDevice_05,
    vdvDevice_06,vdvDevice_07,vdvDevice_08,vdvDevice_09,vdvDevice_10,
    vdvDevice_11,vdvDevice_12
  }

  DEV dvTPDevicesOutput[]               =
  {
    dvTP_01,dvTP_02,dvTP_03,dvTP_04,dvTP_05,
    dvTP_06,dvTP_07,dvTP_08,dvTP_09,dvTP_10,
    dvTP_11,dvTP_12
  }

  DEVCHAN dcOutputValueChangeTP[]       =
  {
    {dvTP_01, BTN_OUTPUT_CHANGED},{dvTP_02, BTN_OUTPUT_CHANGED},{dvTP_03, BTN_OUTPUT_CHANGED},{dvTP_04, BTN_OUTPUT_CHANGED},
    {dvTP_05, BTN_OUTPUT_CHANGED},{dvTP_06, BTN_OUTPUT_CHANGED},{dvTP_07, BTN_OUTPUT_CHANGED},{dvTP_08, BTN_OUTPUT_CHANGED},
    {dvTP_09, BTN_OUTPUT_CHANGED},{dvTP_10, BTN_OUTPUT_CHANGED},{dvTP_11, BTN_OUTPUT_CHANGED},{dvTP_12, BTN_OUTPUT_CHANGED}
  }
  DEVLEV dlOutputLevelDevice[]          =
  {
    {vdvDevice_01, LVL_OUTPUT},{vdvDevice_02, LVL_OUTPUT},{vdvDevice_03, LVL_OUTPUT},{vdvDevice_04, LVL_OUTPUT},
    {vdvDevice_05, LVL_OUTPUT},{vdvDevice_06, LVL_OUTPUT},{vdvDevice_07, LVL_OUTPUT},{vdvDevice_08, LVL_OUTPUT},
    {vdvDevice_09, LVL_OUTPUT},{vdvDevice_10, LVL_OUTPUT},{vdvDevice_11, LVL_OUTPUT},{vdvDevice_12, LVL_OUTPUT}
  }

  DEVLEV dlOutputLevelTP[]              =
  {
    {dvTP_01, LVL_OUTPUT},{dvTP_02, LVL_OUTPUT},{dvTP_03, LVL_OUTPUT},{dvTP_04, LVL_OUTPUT},
    {dvTP_05, LVL_OUTPUT},{dvTP_06, LVL_OUTPUT},{dvTP_07, LVL_OUTPUT},{dvTP_08, LVL_OUTPUT},
    {dvTP_09, LVL_OUTPUT},{dvTP_10, LVL_OUTPUT},{dvTP_11, LVL_OUTPUT},{dvTP_12, LVL_OUTPUT}
  }

DEFINE_START

  FOR(idx = 1; idx <= LENGTH_ARRAY(dlOutputLevelTP); idx++)
  {
    CREATE_LEVEL dlOutputLevelTP[idx], nOutputLevelValue[idx]
  }

DEFINE_EVENT

  BUTTON_EVENT[dvTPDevicesOutput, BTN_OUTPUT_MOMENTARY_ACTION_LIST]
  {
    RELEASE:
    {
      PULSE[vdvDevicesOutput[BUTTON.INPUT.DEVICE.PORT], BUTTON.INPUT.CHANNEL]
    }
  }

  BUTTON_EVENT[dvTPDevicesInput, BTN_OUTPUT_CHANNEL_ACTION_LIST]
  {
    RELEASE:
    {
      fnTPToggleChannel(vdvDevicesOutput[BUTTON.INPUT.DEVICE.PORT], BUTTON.INPUT.CHANNEL)
    }
  }

  BUTTON_EVENT[dcOutputValueChangeTP]
  {
    RELEASE:
    {
      SEND_LEVEL dlOutputLevelDevice[GET_LAST(dcOutputValueChangeTP)],nOutputLevelValue[GET_LAST(dcOutputValueChangeTP)]
    }
  }

  LEVEL_EVENT[dlOutputLevelDevice]
  {
    SEND_LEVEL dlOutputLevelTP[GET_LAST(dlOutputLevelDevice)],LEVEL.VALUE
  }

	TIMELINE_EVENT[DEFINE_PROGRAM_TIMELINE_ID]
  {
/*|-----------------------------------------------------------------------------|
  |                              !!!! WARNING !!!!                              |
  |                                                                             |
  | Due to differences in the underlying architecture of the X-Series masters,  |
  |     changing variables in the DEFINE_PROGRAM section of code can negatively |
  |     impact program performance.                                             |
  |                                                                             |
  | TimeLine implementation refer to "Differences in DEFINE_PROGRAM Program     |
  |     Execution" section of the NX-Series Controllers WebConsole &            |
  |     Programming Guide for additional and alternate coding methodologies.    |
  |-----------------------------------------------------------------------------|*/
  	
    STACK_VAR INTEGER nLoop1
    STACK_VAR INTEGER nLoop2

    FOR(nLoop1=1; nLoop1<= LENGTH_ARRAY(dvTPDevicesOutput); nLoop1++)
    {
      FOR(nLoop2=1; nLoop2<= LENGTH_ARRAY(BTN_OUTPUT_CHANNEL_ACTION_LIST); nLoop2++)
      {
        [dvTPDevicesOutput[nLoop1], BTN_OUTPUT_CHANNEL_ACTION_LIST[nLoop2]] = [vdvDevicesOutput[nLoop1], BTN_OUTPUT_CHANNEL_ACTION_LIST[nLoop2]]
      }
    }
  }

/*|------------------------------------------------------------------------------|
  |                                                                              |
  |      !!! END OF PROGRAM --- DO NOT PUT ANY CODE BELOW THIS COMMENT  !!!      |
  |                                                                              |
  |------------------------------------------------------------------------------|*/

